
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x80002d52')]      |
| SIG_REGION                | [('0x80004204', '0x80004b2c', '586 words')]      |
| COV_LABELS                | cand      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/cand-01.S/cand-01.S    |
| Total Number of coverpoints| 643     |
| Total Coverpoints Hit     | 643      |
| Total Signature Updates   | 586      |
| STAT1                     | 585      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80001270]:c.and a0, a1
      [0x80001272]:sw a0, 960(ra)
 -- Signature Address: 0x800045c4 Data: 0xFFFF4AFC
 -- Redundant Coverpoints hit by the op
      - opcode : c.and
      - rs1 : x10
      - rs2 : x11
      - rs1 != rs2
      - rs2_val < 0
      - rs1_val==-46340 and rs2_val==-46340






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                               coverpoints                                                                               |                             code                              |
|---:|--------------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------|
|   1|[0x80004204]<br>0x80000000|- opcode : c.and<br> - rs1 : x14<br> - rs2 : x11<br> - rs1 != rs2<br> - rs2_val == (-2**(xlen-1))<br> - rs2_val < 0<br> - rs2_val == -2147483648<br> - rs1_val == -2<br> |[0x80000108]:c.and a4, a1<br> [0x8000010a]:sw a4, 0(ra)<br>    |
|   2|[0x80004208]<br>0xFFFF4AFC|- rs1 : x13<br> - rs2 : x13<br> - rs1 == rs2<br> - rs1_val==-46340 and rs2_val==-46340<br>                                                                               |[0x8000011a]:c.and a3, a3<br> [0x8000011c]:sw a3, 4(ra)<br>    |
|   3|[0x8000420c]<br>0x7F7FFFFF|- rs1 : x11<br> - rs2 : x8<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val > 0<br> - rs2_val == 2147483647<br> - rs1_val == -8388609<br>                                  |[0x80000130]:c.and a1, s0<br> [0x80000132]:sw a1, 8(ra)<br>    |
|   4|[0x80004210]<br>0x00000000|- rs1 : x12<br> - rs2 : x9<br> - rs2_val == 1<br>                                                                                                                        |[0x80000142]:c.and a2, s1<br> [0x80000144]:sw a2, 12(ra)<br>   |
|   5|[0x80004214]<br>0x80000000|- rs1 : x10<br> - rs2 : x12<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val == -2147483648<br>                                                                             |[0x80000150]:c.and a0, a2<br> [0x80000152]:sw a0, 16(ra)<br>   |
|   6|[0x80004218]<br>0x00000000|- rs1 : x9<br> - rs2 : x14<br> - rs1_val == 0<br> - rs2_val == -257<br>                                                                                                  |[0x8000015e]:c.and s1, a4<br> [0x80000160]:sw s1, 20(ra)<br>   |
|   7|[0x8000421c]<br>0x33333332|- rs1 : x8<br> - rs2 : x15<br> - rs1_val == (2**(xlen-1)-1)<br> - rs1_val == 2147483647<br>                                                                              |[0x80000174]:c.and s0, a5<br> [0x80000176]:sw fp, 24(ra)<br>   |
|   8|[0x80004220]<br>0x00000001|- rs1 : x15<br> - rs2 : x10<br> - rs1_val == 1<br> - rs2_val == -8193<br>                                                                                                |[0x80000186]:c.and a5, a0<br> [0x80000188]:sw a5, 28(ra)<br>   |
|   9|[0x80004224]<br>0x00000002|- rs2_val == 2<br> - rs1_val == -65<br>                                                                                                                                  |[0x80000194]:c.and a0, a1<br> [0x80000196]:sw a0, 32(ra)<br>   |
|  10|[0x80004228]<br>0x00000004|- rs2_val == 4<br> - rs1_val == -2049<br>                                                                                                                                |[0x800001a6]:c.and a0, a1<br> [0x800001a8]:sw a0, 36(ra)<br>   |
|  11|[0x8000422c]<br>0x00000008|- rs2_val == 8<br> - rs1_val == -3<br>                                                                                                                                   |[0x800001b4]:c.and a0, a1<br> [0x800001b6]:sw a0, 40(ra)<br>   |
|  12|[0x80004230]<br>0x00000000|- rs2_val == 16<br> - rs1_val == 16777216<br>                                                                                                                            |[0x800001c2]:c.and a0, a1<br> [0x800001c4]:sw a0, 44(ra)<br>   |
|  13|[0x80004234]<br>0x00000020|- rs2_val == 32<br> - rs1_val == -134217729<br>                                                                                                                          |[0x800001d4]:c.and a0, a1<br> [0x800001d6]:sw a0, 48(ra)<br>   |
|  14|[0x80004238]<br>0x00000000|- rs2_val == 64<br> - rs1_val == 16384<br>                                                                                                                               |[0x800001e2]:c.and a0, a1<br> [0x800001e4]:sw a0, 52(ra)<br>   |
|  15|[0x8000423c]<br>0x00000000|- rs2_val == 128<br>                                                                                                                                                     |[0x800001f0]:c.and a0, a1<br> [0x800001f2]:sw a0, 56(ra)<br>   |
|  16|[0x80004240]<br>0x00000100|- rs2_val == 256<br>                                                                                                                                                     |[0x80000202]:c.and a0, a1<br> [0x80000204]:sw a0, 60(ra)<br>   |
|  17|[0x80004244]<br>0x00000000|- rs2_val == 512<br>                                                                                                                                                     |[0x80000210]:c.and a0, a1<br> [0x80000212]:sw a0, 64(ra)<br>   |
|  18|[0x80004248]<br>0x00000000|- rs2_val == 1024<br>                                                                                                                                                    |[0x8000021e]:c.and a0, a1<br> [0x80000220]:sw a0, 68(ra)<br>   |
|  19|[0x8000424c]<br>0x00000800|- rs2_val == 2048<br>                                                                                                                                                    |[0x80000234]:c.and a0, a1<br> [0x80000236]:sw a0, 72(ra)<br>   |
|  20|[0x80004250]<br>0x00000000|- rs2_val == 4096<br> - rs1_val == 2048<br>                                                                                                                              |[0x80000246]:c.and a0, a1<br> [0x80000248]:sw a0, 76(ra)<br>   |
|  21|[0x80004254]<br>0x00000000|- rs2_val == 8192<br>                                                                                                                                                    |[0x80000254]:c.and a0, a1<br> [0x80000256]:sw a0, 80(ra)<br>   |
|  22|[0x80004258]<br>0x00004000|- rs2_val == 16384<br>                                                                                                                                                   |[0x80000262]:c.and a0, a1<br> [0x80000264]:sw a0, 84(ra)<br>   |
|  23|[0x8000425c]<br>0x00000000|- rs2_val == 32768<br> - rs1_val == 524288<br>                                                                                                                           |[0x80000270]:c.and a0, a1<br> [0x80000272]:sw a0, 88(ra)<br>   |
|  24|[0x80004260]<br>0x00010000|- rs2_val == 65536<br>                                                                                                                                                   |[0x8000027e]:c.and a0, a1<br> [0x80000280]:sw a0, 92(ra)<br>   |
|  25|[0x80004264]<br>0x00000000|- rs2_val == 131072<br>                                                                                                                                                  |[0x8000028c]:c.and a0, a1<br> [0x8000028e]:sw a0, 96(ra)<br>   |
|  26|[0x80004268]<br>0x00000000|- rs2_val == 262144<br>                                                                                                                                                  |[0x8000029e]:c.and a0, a1<br> [0x800002a0]:sw a0, 100(ra)<br>  |
|  27|[0x8000426c]<br>0x00080000|- rs2_val == 524288<br> - rs1_val == -16777217<br>                                                                                                                       |[0x800002b0]:c.and a0, a1<br> [0x800002b2]:sw a0, 104(ra)<br>  |
|  28|[0x80004270]<br>0x00100000|- rs2_val == 1048576<br> - rs1_val == -513<br>                                                                                                                           |[0x800002be]:c.and a0, a1<br> [0x800002c0]:sw a0, 108(ra)<br>  |
|  29|[0x80004274]<br>0x00200000|- rs2_val == 2097152<br> - rs1_val == 2097152<br>                                                                                                                        |[0x800002cc]:c.and a0, a1<br> [0x800002ce]:sw a0, 112(ra)<br>  |
|  30|[0x80004278]<br>0x00000000|- rs2_val == 4194304<br> - rs1_val == -1431655766<br>                                                                                                                    |[0x800002de]:c.and a0, a1<br> [0x800002e0]:sw a0, 116(ra)<br>  |
|  31|[0x8000427c]<br>0x00000000|- rs2_val == 8388608<br>                                                                                                                                                 |[0x800002ec]:c.and a0, a1<br> [0x800002ee]:sw a0, 120(ra)<br>  |
|  32|[0x80004280]<br>0x00000000|- rs2_val == 16777216<br>                                                                                                                                                |[0x800002fa]:c.and a0, a1<br> [0x800002fc]:sw a0, 124(ra)<br>  |
|  33|[0x80004284]<br>0x00000000|- rs2_val == 33554432<br>                                                                                                                                                |[0x8000030c]:c.and a0, a1<br> [0x8000030e]:sw a0, 128(ra)<br>  |
|  34|[0x80004288]<br>0x04000000|- rs2_val == 67108864<br>                                                                                                                                                |[0x8000031e]:c.and a0, a1<br> [0x80000320]:sw a0, 132(ra)<br>  |
|  35|[0x8000428c]<br>0x00000000|- rs2_val == 134217728<br> - rs1_val == 8192<br>                                                                                                                         |[0x8000032c]:c.and a0, a1<br> [0x8000032e]:sw a0, 136(ra)<br>  |
|  36|[0x80004290]<br>0x10000000|- rs2_val == 268435456<br> - rs1_val == -33554433<br>                                                                                                                    |[0x8000033e]:c.and a0, a1<br> [0x80000340]:sw a0, 140(ra)<br>  |
|  37|[0x80004294]<br>0x20000000|- rs2_val == 536870912<br> - rs1_val == -129<br>                                                                                                                         |[0x8000034c]:c.and a0, a1<br> [0x8000034e]:sw a0, 144(ra)<br>  |
|  38|[0x80004298]<br>0x00000000|- rs2_val == 1073741824<br>                                                                                                                                              |[0x8000035e]:c.and a0, a1<br> [0x80000360]:sw a0, 148(ra)<br>  |
|  39|[0x8000429c]<br>0x00008000|- rs2_val == -2<br> - rs1_val == 32768<br>                                                                                                                               |[0x8000036c]:c.and a0, a1<br> [0x8000036e]:sw a0, 152(ra)<br>  |
|  40|[0x800042a0]<br>0x33333331|- rs2_val == -3<br>                                                                                                                                                      |[0x8000037e]:c.and a0, a1<br> [0x80000380]:sw a0, 156(ra)<br>  |
|  41|[0x800042a4]<br>0xFFFFFFF9|- rs2_val == -5<br>                                                                                                                                                      |[0x8000038c]:c.and a0, a1<br> [0x8000038e]:sw a0, 160(ra)<br>  |
|  42|[0x800042a8]<br>0xFFFFFFF4|- rs2_val == -9<br>                                                                                                                                                      |[0x8000039a]:c.and a0, a1<br> [0x8000039c]:sw a0, 164(ra)<br>  |
|  43|[0x800042ac]<br>0x00400000|- rs2_val == -17<br> - rs1_val == 4194304<br>                                                                                                                            |[0x800003a8]:c.and a0, a1<br> [0x800003aa]:sw a0, 168(ra)<br>  |
|  44|[0x800042b0]<br>0xFFFF4ADC|- rs2_val == -33<br>                                                                                                                                                     |[0x800003ba]:c.and a0, a1<br> [0x800003bc]:sw a0, 172(ra)<br>  |
|  45|[0x800042b4]<br>0x00010000|- rs2_val == -65<br> - rs1_val == 65536<br>                                                                                                                              |[0x800003c8]:c.and a0, a1<br> [0x800003ca]:sw a0, 176(ra)<br>  |
|  46|[0x800042b8]<br>0x00000007|- rs2_val == -129<br>                                                                                                                                                    |[0x800003d6]:c.and a0, a1<br> [0x800003d8]:sw a0, 180(ra)<br>  |
|  47|[0x800042bc]<br>0x00000003|- rs2_val == -513<br>                                                                                                                                                    |[0x800003e4]:c.and a0, a1<br> [0x800003e6]:sw a0, 184(ra)<br>  |
|  48|[0x800042c0]<br>0xFFFFFBF6|- rs2_val == -1025<br>                                                                                                                                                   |[0x800003f2]:c.and a0, a1<br> [0x800003f4]:sw a0, 188(ra)<br>  |
|  49|[0x800042c4]<br>0xFFFFF7BF|- rs2_val == -2049<br>                                                                                                                                                   |[0x80000404]:c.and a0, a1<br> [0x80000406]:sw a0, 192(ra)<br>  |
|  50|[0x800042c8]<br>0x40000000|- rs2_val == -4097<br> - rs1_val == 1073741824<br>                                                                                                                       |[0x80000416]:c.and a0, a1<br> [0x80000418]:sw a0, 196(ra)<br>  |
|  51|[0x800042cc]<br>0xFFFFBFBF|- rs2_val == -16385<br>                                                                                                                                                  |[0x80000428]:c.and a0, a1<br> [0x8000042a]:sw a0, 200(ra)<br>  |
|  52|[0x800042d0]<br>0x00001000|- rs2_val == -32769<br> - rs1_val == 4096<br>                                                                                                                            |[0x8000043a]:c.and a0, a1<br> [0x8000043c]:sw a0, 204(ra)<br>  |
|  53|[0x800042d4]<br>0x00000008|- rs2_val == -65537<br> - rs1_val == 8<br>                                                                                                                               |[0x8000044c]:c.and a0, a1<br> [0x8000044e]:sw a0, 208(ra)<br>  |
|  54|[0x800042d8]<br>0x00000001|- rs2_val == -131073<br>                                                                                                                                                 |[0x8000045e]:c.and a0, a1<br> [0x80000460]:sw a0, 212(ra)<br>  |
|  55|[0x800042dc]<br>0xFFFB4AFC|- rs2_val == -262145<br>                                                                                                                                                 |[0x80000474]:c.and a0, a1<br> [0x80000476]:sw a0, 216(ra)<br>  |
|  56|[0x800042e0]<br>0xFFF3FFFF|- rs2_val == -524289<br> - rs1_val == -262145<br>                                                                                                                        |[0x8000048a]:c.and a0, a1<br> [0x8000048c]:sw a0, 220(ra)<br>  |
|  57|[0x800042e4]<br>0xFDEFFFFF|- rs2_val == -1048577<br>                                                                                                                                                |[0x800004a0]:c.and a0, a1<br> [0x800004a2]:sw a0, 224(ra)<br>  |
|  58|[0x800042e8]<br>0x00000004|- rs2_val == -2097153<br> - rs1_val == 4<br>                                                                                                                             |[0x800004b2]:c.and a0, a1<br> [0x800004b4]:sw a0, 228(ra)<br>  |
|  59|[0x800042ec]<br>0x00000020|- rs2_val == -4194305<br> - rs1_val == 32<br>                                                                                                                            |[0x800004c4]:c.and a0, a1<br> [0x800004c6]:sw a0, 232(ra)<br>  |
|  60|[0x800042f0]<br>0xFF6FFFFF|- rs2_val == -8388609<br> - rs1_val == -1048577<br>                                                                                                                      |[0x800004da]:c.and a0, a1<br> [0x800004dc]:sw a0, 236(ra)<br>  |
|  61|[0x800042f4]<br>0xFE7FFFFF|- rs2_val == -16777217<br>                                                                                                                                               |[0x800004f0]:c.and a0, a1<br> [0x800004f2]:sw a0, 240(ra)<br>  |
|  62|[0x800042f8]<br>0x00000000|- rs2_val == -33554433<br> - rs1_val == 33554432<br>                                                                                                                     |[0x80000502]:c.and a0, a1<br> [0x80000504]:sw a0, 244(ra)<br>  |
|  63|[0x800042fc]<br>0x00000006|- rs2_val == -67108865<br>                                                                                                                                               |[0x80000514]:c.and a0, a1<br> [0x80000516]:sw a0, 248(ra)<br>  |
|  64|[0x80004300]<br>0x00002000|- rs2_val == -134217729<br>                                                                                                                                              |[0x80000526]:c.and a0, a1<br> [0x80000528]:sw a0, 252(ra)<br>  |
|  65|[0x80004304]<br>0x00000100|- rs2_val == -268435457<br> - rs1_val == 256<br>                                                                                                                         |[0x80000538]:c.and a0, a1<br> [0x8000053a]:sw a0, 256(ra)<br>  |
|  66|[0x80004308]<br>0x8AAAAAAA|- rs2_val == -536870913<br>                                                                                                                                              |[0x8000054e]:c.and a0, a1<br> [0x80000550]:sw a0, 260(ra)<br>  |
|  67|[0x8000430c]<br>0x26666667|- rs2_val == -1073741825<br>                                                                                                                                             |[0x80000564]:c.and a0, a1<br> [0x80000566]:sw a0, 264(ra)<br>  |
|  68|[0x80004310]<br>0x00000001|- rs2_val == 1431655765<br> - rs1_val==3 and rs2_val==1431655765<br>                                                                                                     |[0x80000576]:c.and a0, a1<br> [0x80000578]:sw a0, 268(ra)<br>  |
|  69|[0x80004314]<br>0x00000000|- rs2_val == -1431655766<br>                                                                                                                                             |[0x80000588]:c.and a0, a1<br> [0x8000058a]:sw a0, 272(ra)<br>  |
|  70|[0x80004318]<br>0x00000002|- rs1_val == 2<br>                                                                                                                                                       |[0x80000596]:c.and a0, a1<br> [0x80000598]:sw a0, 276(ra)<br>  |
|  71|[0x8000431c]<br>0x00000000|- rs1_val == 16<br>                                                                                                                                                      |[0x800005a4]:c.and a0, a1<br> [0x800005a6]:sw a0, 280(ra)<br>  |
|  72|[0x80004320]<br>0x00000040|- rs1_val == 64<br>                                                                                                                                                      |[0x800005b6]:c.and a0, a1<br> [0x800005b8]:sw a0, 284(ra)<br>  |
|  73|[0x80004324]<br>0x00000000|- rs1_val == 128<br>                                                                                                                                                     |[0x800005c8]:c.and a0, a1<br> [0x800005ca]:sw a0, 288(ra)<br>  |
|  74|[0x80004328]<br>0x00000000|- rs1_val == 512<br>                                                                                                                                                     |[0x800005d6]:c.and a0, a1<br> [0x800005d8]:sw a0, 292(ra)<br>  |
|  75|[0x8000432c]<br>0x00000400|- rs1_val == 1024<br>                                                                                                                                                    |[0x800005e8]:c.and a0, a1<br> [0x800005ea]:sw a0, 296(ra)<br>  |
|  76|[0x80004330]<br>0x00000000|- rs1_val == 131072<br>                                                                                                                                                  |[0x800005f6]:c.and a0, a1<br> [0x800005f8]:sw a0, 300(ra)<br>  |
|  77|[0x80004334]<br>0x00040000|- rs1_val == 262144<br>                                                                                                                                                  |[0x80000608]:c.and a0, a1<br> [0x8000060a]:sw a0, 304(ra)<br>  |
|  78|[0x80004338]<br>0x00000000|- rs1_val == 1048576<br>                                                                                                                                                 |[0x8000061a]:c.and a0, a1<br> [0x8000061c]:sw a0, 308(ra)<br>  |
|  79|[0x8000433c]<br>0x00800000|- rs1_val == 8388608<br>                                                                                                                                                 |[0x80000628]:c.and a0, a1<br> [0x8000062a]:sw a0, 312(ra)<br>  |
|  80|[0x80004340]<br>0x00000000|- rs1_val == 67108864<br>                                                                                                                                                |[0x80000636]:c.and a0, a1<br> [0x80000638]:sw a0, 316(ra)<br>  |
|  81|[0x80004344]<br>0x08000000|- rs1_val == 134217728<br>                                                                                                                                               |[0x80000644]:c.and a0, a1<br> [0x80000646]:sw a0, 320(ra)<br>  |
|  82|[0x80004348]<br>0x10000000|- rs1_val == 268435456<br>                                                                                                                                               |[0x80000656]:c.and a0, a1<br> [0x80000658]:sw a0, 324(ra)<br>  |
|  83|[0x8000434c]<br>0x20000000|- rs1_val == 536870912<br>                                                                                                                                               |[0x80000664]:c.and a0, a1<br> [0x80000666]:sw a0, 328(ra)<br>  |
|  84|[0x80004350]<br>0x00000100|- rs1_val == -5<br>                                                                                                                                                      |[0x80000672]:c.and a0, a1<br> [0x80000674]:sw a0, 332(ra)<br>  |
|  85|[0x80004354]<br>0xFFFFEFF7|- rs1_val == -9<br>                                                                                                                                                      |[0x80000684]:c.and a0, a1<br> [0x80000686]:sw a0, 336(ra)<br>  |
|  86|[0x80004358]<br>0x04000000|- rs1_val == -17<br>                                                                                                                                                     |[0x80000692]:c.and a0, a1<br> [0x80000694]:sw a0, 340(ra)<br>  |
|  87|[0x8000435c]<br>0x00000000|- rs2_val == 0<br> - rs1_val == -33<br>                                                                                                                                  |[0x800006a0]:c.and a0, a1<br> [0x800006a2]:sw a0, 344(ra)<br>  |
|  88|[0x80004360]<br>0xFFFBFEFF|- rs1_val == -257<br>                                                                                                                                                    |[0x800006b2]:c.and a0, a1<br> [0x800006b4]:sw a0, 348(ra)<br>  |
|  89|[0x80004364]<br>0x00000000|- rs1_val == -1025<br>                                                                                                                                                   |[0x800006c0]:c.and a0, a1<br> [0x800006c2]:sw a0, 352(ra)<br>  |
|  90|[0x80004368]<br>0xBFFFEFFF|- rs1_val == -4097<br>                                                                                                                                                   |[0x800006d6]:c.and a0, a1<br> [0x800006d8]:sw a0, 356(ra)<br>  |
|  91|[0x8000436c]<br>0x3FFFDFFF|- rs1_val == -8193<br>                                                                                                                                                   |[0x800006ec]:c.and a0, a1<br> [0x800006ee]:sw a0, 360(ra)<br>  |
|  92|[0x80004370]<br>0xFFFF0AFC|- rs1_val == -16385<br>                                                                                                                                                  |[0x80000702]:c.and a0, a1<br> [0x80000704]:sw a0, 364(ra)<br>  |
|  93|[0x80004374]<br>0x00000002|- rs1_val == -32769<br>                                                                                                                                                  |[0x80000714]:c.and a0, a1<br> [0x80000716]:sw a0, 368(ra)<br>  |
|  94|[0x80004378]<br>0x00400000|- rs1_val == -65537<br>                                                                                                                                                  |[0x80000726]:c.and a0, a1<br> [0x80000728]:sw a0, 372(ra)<br>  |
|  95|[0x8000437c]<br>0x55555554|- rs1_val == -131073<br>                                                                                                                                                 |[0x8000073c]:c.and a0, a1<br> [0x8000073e]:sw a0, 376(ra)<br>  |
|  96|[0x80004380]<br>0xFEF7FFFF|- rs1_val == -524289<br>                                                                                                                                                 |[0x80000752]:c.and a0, a1<br> [0x80000754]:sw a0, 380(ra)<br>  |
|  97|[0x80004384]<br>0x00000004|- rs1_val == -2097153<br>                                                                                                                                                |[0x80000764]:c.and a0, a1<br> [0x80000766]:sw a0, 384(ra)<br>  |
|  98|[0x80004388]<br>0xFFBFFBFF|- rs1_val == -4194305<br>                                                                                                                                                |[0x80000776]:c.and a0, a1<br> [0x80000778]:sw a0, 388(ra)<br>  |
|  99|[0x8000438c]<br>0x80000000|- rs1_val == -67108865<br>                                                                                                                                               |[0x80000788]:c.and a0, a1<br> [0x8000078a]:sw a0, 392(ra)<br>  |
| 100|[0x80004390]<br>0xEFFFF7FF|- rs1_val == -268435457<br>                                                                                                                                              |[0x8000079e]:c.and a0, a1<br> [0x800007a0]:sw a0, 396(ra)<br>  |
| 101|[0x80004394]<br>0x00001000|- rs1_val == -536870913<br>                                                                                                                                              |[0x800007b0]:c.and a0, a1<br> [0x800007b2]:sw a0, 400(ra)<br>  |
| 102|[0x80004398]<br>0xBFFFEFFF|- rs1_val == -1073741825<br>                                                                                                                                             |[0x800007c6]:c.and a0, a1<br> [0x800007c8]:sw a0, 404(ra)<br>  |
| 103|[0x8000439c]<br>0x00000010|- rs1_val == 1431655765<br>                                                                                                                                              |[0x800007d8]:c.and a0, a1<br> [0x800007da]:sw a0, 408(ra)<br>  |
| 104|[0x800043a0]<br>0x00000003|- rs1_val==3 and rs2_val==3<br>                                                                                                                                          |[0x800007e6]:c.and a0, a1<br> [0x800007e8]:sw a0, 412(ra)<br>  |
| 105|[0x800043a4]<br>0x00000002|- rs1_val==3 and rs2_val==-1431655766<br>                                                                                                                                |[0x800007f8]:c.and a0, a1<br> [0x800007fa]:sw a0, 416(ra)<br>  |
| 106|[0x800043a8]<br>0x00000001|- rs1_val==3 and rs2_val==5<br>                                                                                                                                          |[0x80000806]:c.and a0, a1<br> [0x80000808]:sw a0, 420(ra)<br>  |
| 107|[0x800043ac]<br>0x00000003|- rs1_val==3 and rs2_val==858993459<br>                                                                                                                                  |[0x80000818]:c.and a0, a1<br> [0x8000081a]:sw a0, 424(ra)<br>  |
| 108|[0x800043b0]<br>0x00000002|- rs1_val==3 and rs2_val==1717986918<br>                                                                                                                                 |[0x8000082a]:c.and a0, a1<br> [0x8000082c]:sw a0, 428(ra)<br>  |
| 109|[0x800043b4]<br>0x00000000|- rs1_val==3 and rs2_val==-46340<br>                                                                                                                                     |[0x8000083c]:c.and a0, a1<br> [0x8000083e]:sw a0, 432(ra)<br>  |
| 110|[0x800043b8]<br>0x00000000|- rs1_val==3 and rs2_val==46340<br>                                                                                                                                      |[0x8000084e]:c.and a0, a1<br> [0x80000850]:sw a0, 436(ra)<br>  |
| 111|[0x800043bc]<br>0x00000002|- rs1_val==3 and rs2_val==2<br>                                                                                                                                          |[0x8000085c]:c.and a0, a1<br> [0x8000085e]:sw a0, 440(ra)<br>  |
| 112|[0x800043c0]<br>0x00000000|- rs1_val==3 and rs2_val==1431655764<br>                                                                                                                                 |[0x8000086e]:c.and a0, a1<br> [0x80000870]:sw a0, 444(ra)<br>  |
| 113|[0x800043c4]<br>0x00000000|- rs1_val==3 and rs2_val==0<br>                                                                                                                                          |[0x8000087c]:c.and a0, a1<br> [0x8000087e]:sw a0, 448(ra)<br>  |
| 114|[0x800043c8]<br>0x00000000|- rs1_val==3 and rs2_val==4<br>                                                                                                                                          |[0x8000088a]:c.and a0, a1<br> [0x8000088c]:sw a0, 452(ra)<br>  |
| 115|[0x800043cc]<br>0x00000002|- rs1_val==3 and rs2_val==858993458<br>                                                                                                                                  |[0x8000089c]:c.and a0, a1<br> [0x8000089e]:sw a0, 456(ra)<br>  |
| 116|[0x800043d0]<br>0x00000001|- rs1_val==3 and rs2_val==1717986917<br>                                                                                                                                 |[0x800008ae]:c.and a0, a1<br> [0x800008b0]:sw a0, 460(ra)<br>  |
| 117|[0x800043d4]<br>0x00000003|- rs1_val==3 and rs2_val==46339<br>                                                                                                                                      |[0x800008c0]:c.and a0, a1<br> [0x800008c2]:sw a0, 464(ra)<br>  |
| 118|[0x800043d8]<br>0x00000002|- rs1_val==3 and rs2_val==1431655766<br>                                                                                                                                 |[0x800008d2]:c.and a0, a1<br> [0x800008d4]:sw a0, 468(ra)<br>  |
| 119|[0x800043dc]<br>0x00000003|- rs1_val==3 and rs2_val==-1431655765<br>                                                                                                                                |[0x800008e4]:c.and a0, a1<br> [0x800008e6]:sw a0, 472(ra)<br>  |
| 120|[0x800043e0]<br>0x00000002|- rs1_val==3 and rs2_val==6<br>                                                                                                                                          |[0x800008f2]:c.and a0, a1<br> [0x800008f4]:sw a0, 476(ra)<br>  |
| 121|[0x800043e4]<br>0x00000000|- rs1_val==3 and rs2_val==858993460<br>                                                                                                                                  |[0x80000904]:c.and a0, a1<br> [0x80000906]:sw a0, 480(ra)<br>  |
| 122|[0x800043e8]<br>0x00000003|- rs1_val==3 and rs2_val==1717986919<br>                                                                                                                                 |[0x80000916]:c.and a0, a1<br> [0x80000918]:sw a0, 484(ra)<br>  |
| 123|[0x800043ec]<br>0x00000001|- rs1_val==3 and rs2_val==-46339<br>                                                                                                                                     |[0x80000928]:c.and a0, a1<br> [0x8000092a]:sw a0, 488(ra)<br>  |
| 124|[0x800043f0]<br>0x00000001|- rs1_val==3 and rs2_val==46341<br>                                                                                                                                      |[0x8000093a]:c.and a0, a1<br> [0x8000093c]:sw a0, 492(ra)<br>  |
| 125|[0x800043f4]<br>0x00000001|- rs1_val==1431655765 and rs2_val==3<br>                                                                                                                                 |[0x8000094c]:c.and a0, a1<br> [0x8000094e]:sw a0, 496(ra)<br>  |
| 126|[0x800043f8]<br>0x55555555|- rs1_val==1431655765 and rs2_val==1431655765<br>                                                                                                                        |[0x80000962]:c.and a0, a1<br> [0x80000964]:sw a0, 500(ra)<br>  |
| 127|[0x800043fc]<br>0x00000000|- rs1_val==1431655765 and rs2_val==-1431655766<br>                                                                                                                       |[0x80000978]:c.and a0, a1<br> [0x8000097a]:sw a0, 504(ra)<br>  |
| 128|[0x80004400]<br>0x00000005|- rs1_val==1431655765 and rs2_val==5<br>                                                                                                                                 |[0x8000098a]:c.and a0, a1<br> [0x8000098c]:sw a0, 508(ra)<br>  |
| 129|[0x80004404]<br>0x11111111|- rs1_val==1431655765 and rs2_val==858993459<br>                                                                                                                         |[0x800009a0]:c.and a0, a1<br> [0x800009a2]:sw a0, 512(ra)<br>  |
| 130|[0x80004408]<br>0x44444444|- rs1_val==1431655765 and rs2_val==1717986918<br>                                                                                                                        |[0x800009b6]:c.and a0, a1<br> [0x800009b8]:sw a0, 516(ra)<br>  |
| 131|[0x8000440c]<br>0x55554054|- rs1_val==1431655765 and rs2_val==-46340<br>                                                                                                                            |[0x800009cc]:c.and a0, a1<br> [0x800009ce]:sw a0, 520(ra)<br>  |
| 132|[0x80004410]<br>0x00001504|- rs1_val==1431655765 and rs2_val==46340<br>                                                                                                                             |[0x800009e2]:c.and a0, a1<br> [0x800009e4]:sw a0, 524(ra)<br>  |
| 133|[0x80004414]<br>0x00000000|- rs1_val==1431655765 and rs2_val==2<br>                                                                                                                                 |[0x800009f4]:c.and a0, a1<br> [0x800009f6]:sw a0, 528(ra)<br>  |
| 134|[0x80004418]<br>0x55555554|- rs1_val==1431655765 and rs2_val==1431655764<br>                                                                                                                        |[0x80000a0a]:c.and a0, a1<br> [0x80000a0c]:sw a0, 532(ra)<br>  |
| 135|[0x8000441c]<br>0x00000000|- rs1_val==1431655765 and rs2_val==0<br>                                                                                                                                 |[0x80000a1c]:c.and a0, a1<br> [0x80000a1e]:sw a0, 536(ra)<br>  |
| 136|[0x80004420]<br>0x00000004|- rs1_val==1431655765 and rs2_val==4<br>                                                                                                                                 |[0x80000a2e]:c.and a0, a1<br> [0x80000a30]:sw a0, 540(ra)<br>  |
| 137|[0x80004424]<br>0x11111110|- rs1_val==1431655765 and rs2_val==858993458<br>                                                                                                                         |[0x80000a44]:c.and a0, a1<br> [0x80000a46]:sw a0, 544(ra)<br>  |
| 138|[0x80004428]<br>0x44444445|- rs1_val==1431655765 and rs2_val==1717986917<br>                                                                                                                        |[0x80000a5a]:c.and a0, a1<br> [0x80000a5c]:sw a0, 548(ra)<br>  |
| 139|[0x8000442c]<br>0x00001501|- rs1_val==1431655765 and rs2_val==46339<br>                                                                                                                             |[0x80000a70]:c.and a0, a1<br> [0x80000a72]:sw a0, 552(ra)<br>  |
| 140|[0x80004430]<br>0x55555554|- rs1_val==1431655765 and rs2_val==1431655766<br>                                                                                                                        |[0x80000a86]:c.and a0, a1<br> [0x80000a88]:sw a0, 556(ra)<br>  |
| 141|[0x80004434]<br>0x00000001|- rs1_val==1431655765 and rs2_val==-1431655765<br>                                                                                                                       |[0x80000a9c]:c.and a0, a1<br> [0x80000a9e]:sw a0, 560(ra)<br>  |
| 142|[0x80004438]<br>0x00000004|- rs1_val==1431655765 and rs2_val==6<br>                                                                                                                                 |[0x80000aae]:c.and a0, a1<br> [0x80000ab0]:sw a0, 564(ra)<br>  |
| 143|[0x8000443c]<br>0x11111114|- rs1_val==1431655765 and rs2_val==858993460<br>                                                                                                                         |[0x80000ac4]:c.and a0, a1<br> [0x80000ac6]:sw a0, 568(ra)<br>  |
| 144|[0x80004440]<br>0x44444445|- rs1_val==1431655765 and rs2_val==1717986919<br>                                                                                                                        |[0x80000ada]:c.and a0, a1<br> [0x80000adc]:sw a0, 572(ra)<br>  |
| 145|[0x80004444]<br>0x55554055|- rs1_val==1431655765 and rs2_val==-46339<br>                                                                                                                            |[0x80000af0]:c.and a0, a1<br> [0x80000af2]:sw a0, 576(ra)<br>  |
| 146|[0x80004448]<br>0x00001505|- rs1_val==1431655765 and rs2_val==46341<br>                                                                                                                             |[0x80000b06]:c.and a0, a1<br> [0x80000b08]:sw a0, 580(ra)<br>  |
| 147|[0x8000444c]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==3<br>                                                                                                                                |[0x80000b18]:c.and a0, a1<br> [0x80000b1a]:sw a0, 584(ra)<br>  |
| 148|[0x80004450]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==1431655765<br>                                                                                                                       |[0x80000b2e]:c.and a0, a1<br> [0x80000b30]:sw a0, 588(ra)<br>  |
| 149|[0x80004454]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==-1431655766<br>                                                                                                                      |[0x80000b44]:c.and a0, a1<br> [0x80000b46]:sw a0, 592(ra)<br>  |
| 150|[0x80004458]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==5<br>                                                                                                                                |[0x80000b56]:c.and a0, a1<br> [0x80000b58]:sw a0, 596(ra)<br>  |
| 151|[0x8000445c]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==858993459<br>                                                                                                                        |[0x80000b6c]:c.and a0, a1<br> [0x80000b6e]:sw a0, 600(ra)<br>  |
| 152|[0x80004460]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==1717986918<br>                                                                                                                       |[0x80000b82]:c.and a0, a1<br> [0x80000b84]:sw a0, 604(ra)<br>  |
| 153|[0x80004464]<br>0xAAAA0AA8|- rs1_val==-1431655766 and rs2_val==-46340<br>                                                                                                                           |[0x80000b98]:c.and a0, a1<br> [0x80000b9a]:sw a0, 608(ra)<br>  |
| 154|[0x80004468]<br>0x0000A000|- rs1_val==-1431655766 and rs2_val==46340<br>                                                                                                                            |[0x80000bae]:c.and a0, a1<br> [0x80000bb0]:sw a0, 612(ra)<br>  |
| 155|[0x8000446c]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==2<br>                                                                                                                                |[0x80000bc0]:c.and a0, a1<br> [0x80000bc2]:sw a0, 616(ra)<br>  |
| 156|[0x80004470]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==1431655764<br>                                                                                                                       |[0x80000bd6]:c.and a0, a1<br> [0x80000bd8]:sw a0, 620(ra)<br>  |
| 157|[0x80004474]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==0<br>                                                                                                                                |[0x80000be8]:c.and a0, a1<br> [0x80000bea]:sw a0, 624(ra)<br>  |
| 158|[0x80004478]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==4<br>                                                                                                                                |[0x80000bfa]:c.and a0, a1<br> [0x80000bfc]:sw a0, 628(ra)<br>  |
| 159|[0x8000447c]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==858993458<br>                                                                                                                        |[0x80000c10]:c.and a0, a1<br> [0x80000c12]:sw a0, 632(ra)<br>  |
| 160|[0x80004480]<br>0x22222220|- rs1_val==-1431655766 and rs2_val==1717986917<br>                                                                                                                       |[0x80000c26]:c.and a0, a1<br> [0x80000c28]:sw a0, 636(ra)<br>  |
| 161|[0x80004484]<br>0x0000A002|- rs1_val==-1431655766 and rs2_val==46339<br>                                                                                                                            |[0x80000c3c]:c.and a0, a1<br> [0x80000c3e]:sw a0, 640(ra)<br>  |
| 162|[0x80004488]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==1431655766<br>                                                                                                                       |[0x80000c52]:c.and a0, a1<br> [0x80000c54]:sw a0, 644(ra)<br>  |
| 163|[0x8000448c]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==-1431655765<br>                                                                                                                      |[0x80000c68]:c.and a0, a1<br> [0x80000c6a]:sw a0, 648(ra)<br>  |
| 164|[0x80004490]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==6<br>                                                                                                                                |[0x80000c7a]:c.and a0, a1<br> [0x80000c7c]:sw a0, 652(ra)<br>  |
| 165|[0x80004494]<br>0x22222220|- rs1_val==-1431655766 and rs2_val==858993460<br>                                                                                                                        |[0x80000c90]:c.and a0, a1<br> [0x80000c92]:sw a0, 656(ra)<br>  |
| 166|[0x80004498]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==1717986919<br>                                                                                                                       |[0x80000ca6]:c.and a0, a1<br> [0x80000ca8]:sw a0, 660(ra)<br>  |
| 167|[0x8000449c]<br>0xAAAA0AA8|- rs1_val==-1431655766 and rs2_val==-46339<br>                                                                                                                           |[0x80000cbc]:c.and a0, a1<br> [0x80000cbe]:sw a0, 664(ra)<br>  |
| 168|[0x800044a0]<br>0x0000A000|- rs1_val==-1431655766 and rs2_val==46341<br>                                                                                                                            |[0x80000cd2]:c.and a0, a1<br> [0x80000cd4]:sw a0, 668(ra)<br>  |
| 169|[0x800044a4]<br>0x00000001|- rs1_val==5 and rs2_val==3<br>                                                                                                                                          |[0x80000ce0]:c.and a0, a1<br> [0x80000ce2]:sw a0, 672(ra)<br>  |
| 170|[0x800044a8]<br>0x00000005|- rs1_val==5 and rs2_val==1431655765<br>                                                                                                                                 |[0x80000cf2]:c.and a0, a1<br> [0x80000cf4]:sw a0, 676(ra)<br>  |
| 171|[0x800044ac]<br>0x00000000|- rs1_val==5 and rs2_val==-1431655766<br>                                                                                                                                |[0x80000d04]:c.and a0, a1<br> [0x80000d06]:sw a0, 680(ra)<br>  |
| 172|[0x800044b0]<br>0x00000005|- rs1_val==5 and rs2_val==5<br>                                                                                                                                          |[0x80000d12]:c.and a0, a1<br> [0x80000d14]:sw a0, 684(ra)<br>  |
| 173|[0x800044b4]<br>0x00000001|- rs1_val==5 and rs2_val==858993459<br>                                                                                                                                  |[0x80000d24]:c.and a0, a1<br> [0x80000d26]:sw a0, 688(ra)<br>  |
| 174|[0x800044b8]<br>0x00000004|- rs1_val==5 and rs2_val==1717986918<br>                                                                                                                                 |[0x80000d36]:c.and a0, a1<br> [0x80000d38]:sw a0, 692(ra)<br>  |
| 175|[0x800044bc]<br>0x00000004|- rs1_val==5 and rs2_val==-46340<br>                                                                                                                                     |[0x80000d48]:c.and a0, a1<br> [0x80000d4a]:sw a0, 696(ra)<br>  |
| 176|[0x800044c0]<br>0x00000004|- rs1_val==5 and rs2_val==46340<br>                                                                                                                                      |[0x80000d5a]:c.and a0, a1<br> [0x80000d5c]:sw a0, 700(ra)<br>  |
| 177|[0x800044c4]<br>0x00000000|- rs1_val==5 and rs2_val==2<br>                                                                                                                                          |[0x80000d68]:c.and a0, a1<br> [0x80000d6a]:sw a0, 704(ra)<br>  |
| 178|[0x800044c8]<br>0x00000004|- rs1_val==5 and rs2_val==1431655764<br>                                                                                                                                 |[0x80000d7a]:c.and a0, a1<br> [0x80000d7c]:sw a0, 708(ra)<br>  |
| 179|[0x800044cc]<br>0x00000000|- rs1_val==5 and rs2_val==0<br>                                                                                                                                          |[0x80000d88]:c.and a0, a1<br> [0x80000d8a]:sw a0, 712(ra)<br>  |
| 180|[0x800044d0]<br>0x00000004|- rs1_val==5 and rs2_val==4<br>                                                                                                                                          |[0x80000d96]:c.and a0, a1<br> [0x80000d98]:sw a0, 716(ra)<br>  |
| 181|[0x800044d4]<br>0x00000000|- rs1_val==5 and rs2_val==858993458<br>                                                                                                                                  |[0x80000da8]:c.and a0, a1<br> [0x80000daa]:sw a0, 720(ra)<br>  |
| 182|[0x800044d8]<br>0x00000005|- rs1_val==5 and rs2_val==1717986917<br>                                                                                                                                 |[0x80000dba]:c.and a0, a1<br> [0x80000dbc]:sw a0, 724(ra)<br>  |
| 183|[0x800044dc]<br>0x00000001|- rs1_val==5 and rs2_val==46339<br>                                                                                                                                      |[0x80000dcc]:c.and a0, a1<br> [0x80000dce]:sw a0, 728(ra)<br>  |
| 184|[0x800044e0]<br>0x00000004|- rs1_val==5 and rs2_val==1431655766<br>                                                                                                                                 |[0x80000dde]:c.and a0, a1<br> [0x80000de0]:sw a0, 732(ra)<br>  |
| 185|[0x800044e4]<br>0x00000001|- rs1_val==5 and rs2_val==-1431655765<br>                                                                                                                                |[0x80000df0]:c.and a0, a1<br> [0x80000df2]:sw a0, 736(ra)<br>  |
| 186|[0x800044e8]<br>0x00000004|- rs1_val==5 and rs2_val==6<br>                                                                                                                                          |[0x80000dfe]:c.and a0, a1<br> [0x80000e00]:sw a0, 740(ra)<br>  |
| 187|[0x800044ec]<br>0x00000004|- rs1_val==5 and rs2_val==858993460<br>                                                                                                                                  |[0x80000e10]:c.and a0, a1<br> [0x80000e12]:sw a0, 744(ra)<br>  |
| 188|[0x800044f0]<br>0x00000005|- rs1_val==5 and rs2_val==1717986919<br>                                                                                                                                 |[0x80000e22]:c.and a0, a1<br> [0x80000e24]:sw a0, 748(ra)<br>  |
| 189|[0x800044f4]<br>0x00000005|- rs1_val==5 and rs2_val==-46339<br>                                                                                                                                     |[0x80000e34]:c.and a0, a1<br> [0x80000e36]:sw a0, 752(ra)<br>  |
| 190|[0x800044f8]<br>0x00000005|- rs1_val==5 and rs2_val==46341<br>                                                                                                                                      |[0x80000e46]:c.and a0, a1<br> [0x80000e48]:sw a0, 756(ra)<br>  |
| 191|[0x800044fc]<br>0x00000003|- rs1_val==858993459 and rs2_val==3<br>                                                                                                                                  |[0x80000e58]:c.and a0, a1<br> [0x80000e5a]:sw a0, 760(ra)<br>  |
| 192|[0x80004500]<br>0x11111111|- rs1_val==858993459 and rs2_val==1431655765<br>                                                                                                                         |[0x80000e6e]:c.and a0, a1<br> [0x80000e70]:sw a0, 764(ra)<br>  |
| 193|[0x80004504]<br>0x22222222|- rs1_val==858993459 and rs2_val==-1431655766<br>                                                                                                                        |[0x80000e84]:c.and a0, a1<br> [0x80000e86]:sw a0, 768(ra)<br>  |
| 194|[0x80004508]<br>0x00000001|- rs1_val==858993459 and rs2_val==5<br>                                                                                                                                  |[0x80000e96]:c.and a0, a1<br> [0x80000e98]:sw a0, 772(ra)<br>  |
| 195|[0x8000450c]<br>0x33333333|- rs1_val==858993459 and rs2_val==858993459<br>                                                                                                                          |[0x80000eac]:c.and a0, a1<br> [0x80000eae]:sw a0, 776(ra)<br>  |
| 196|[0x80004510]<br>0x22222222|- rs1_val==858993459 and rs2_val==1717986918<br>                                                                                                                         |[0x80000ec2]:c.and a0, a1<br> [0x80000ec4]:sw a0, 780(ra)<br>  |
| 197|[0x80004514]<br>0x33330230|- rs1_val==858993459 and rs2_val==-46340<br>                                                                                                                             |[0x80000ed8]:c.and a0, a1<br> [0x80000eda]:sw a0, 784(ra)<br>  |
| 198|[0x80004518]<br>0x00003100|- rs1_val==858993459 and rs2_val==46340<br>                                                                                                                              |[0x80000eee]:c.and a0, a1<br> [0x80000ef0]:sw a0, 788(ra)<br>  |
| 199|[0x8000451c]<br>0x00000002|- rs1_val==858993459 and rs2_val==2<br>                                                                                                                                  |[0x80000f00]:c.and a0, a1<br> [0x80000f02]:sw a0, 792(ra)<br>  |
| 200|[0x80004520]<br>0x11111110|- rs1_val==858993459 and rs2_val==1431655764<br>                                                                                                                         |[0x80000f16]:c.and a0, a1<br> [0x80000f18]:sw a0, 796(ra)<br>  |
| 201|[0x80004524]<br>0x00000000|- rs1_val==858993459 and rs2_val==0<br>                                                                                                                                  |[0x80000f28]:c.and a0, a1<br> [0x80000f2a]:sw a0, 800(ra)<br>  |
| 202|[0x80004528]<br>0x00000000|- rs1_val==858993459 and rs2_val==4<br>                                                                                                                                  |[0x80000f3a]:c.and a0, a1<br> [0x80000f3c]:sw a0, 804(ra)<br>  |
| 203|[0x8000452c]<br>0x33333332|- rs1_val==858993459 and rs2_val==858993458<br>                                                                                                                          |[0x80000f50]:c.and a0, a1<br> [0x80000f52]:sw a0, 808(ra)<br>  |
| 204|[0x80004530]<br>0x22222221|- rs1_val==858993459 and rs2_val==1717986917<br>                                                                                                                         |[0x80000f66]:c.and a0, a1<br> [0x80000f68]:sw a0, 812(ra)<br>  |
| 205|[0x80004534]<br>0x00003103|- rs1_val==858993459 and rs2_val==46339<br>                                                                                                                              |[0x80000f7c]:c.and a0, a1<br> [0x80000f7e]:sw a0, 816(ra)<br>  |
| 206|[0x80004538]<br>0x11111112|- rs1_val==858993459 and rs2_val==1431655766<br>                                                                                                                         |[0x80000f92]:c.and a0, a1<br> [0x80000f94]:sw a0, 820(ra)<br>  |
| 207|[0x8000453c]<br>0x22222223|- rs1_val==858993459 and rs2_val==-1431655765<br>                                                                                                                        |[0x80000fa8]:c.and a0, a1<br> [0x80000faa]:sw a0, 824(ra)<br>  |
| 208|[0x80004540]<br>0x00000002|- rs1_val==858993459 and rs2_val==6<br>                                                                                                                                  |[0x80000fba]:c.and a0, a1<br> [0x80000fbc]:sw a0, 828(ra)<br>  |
| 209|[0x80004544]<br>0x33333330|- rs1_val==858993459 and rs2_val==858993460<br>                                                                                                                          |[0x80000fd0]:c.and a0, a1<br> [0x80000fd2]:sw a0, 832(ra)<br>  |
| 210|[0x80004548]<br>0x22222223|- rs1_val==858993459 and rs2_val==1717986919<br>                                                                                                                         |[0x80000fe6]:c.and a0, a1<br> [0x80000fe8]:sw a0, 836(ra)<br>  |
| 211|[0x8000454c]<br>0x33330231|- rs1_val==858993459 and rs2_val==-46339<br>                                                                                                                             |[0x80000ffc]:c.and a0, a1<br> [0x80000ffe]:sw a0, 840(ra)<br>  |
| 212|[0x80004550]<br>0x00003101|- rs1_val==858993459 and rs2_val==46341<br>                                                                                                                              |[0x80001012]:c.and a0, a1<br> [0x80001014]:sw a0, 844(ra)<br>  |
| 213|[0x80004554]<br>0x00000002|- rs1_val==1717986918 and rs2_val==3<br>                                                                                                                                 |[0x80001024]:c.and a0, a1<br> [0x80001026]:sw a0, 848(ra)<br>  |
| 214|[0x80004558]<br>0x44444444|- rs1_val==1717986918 and rs2_val==1431655765<br>                                                                                                                        |[0x8000103a]:c.and a0, a1<br> [0x8000103c]:sw a0, 852(ra)<br>  |
| 215|[0x8000455c]<br>0x22222222|- rs1_val==1717986918 and rs2_val==-1431655766<br>                                                                                                                       |[0x80001050]:c.and a0, a1<br> [0x80001052]:sw a0, 856(ra)<br>  |
| 216|[0x80004560]<br>0x00000004|- rs1_val==1717986918 and rs2_val==5<br>                                                                                                                                 |[0x80001062]:c.and a0, a1<br> [0x80001064]:sw a0, 860(ra)<br>  |
| 217|[0x80004564]<br>0x22222222|- rs1_val==1717986918 and rs2_val==858993459<br>                                                                                                                         |[0x80001078]:c.and a0, a1<br> [0x8000107a]:sw a0, 864(ra)<br>  |
| 218|[0x80004568]<br>0x66666666|- rs1_val==1717986918 and rs2_val==1717986918<br>                                                                                                                        |[0x8000108e]:c.and a0, a1<br> [0x80001090]:sw a0, 868(ra)<br>  |
| 219|[0x8000456c]<br>0x66664264|- rs1_val==1717986918 and rs2_val==-46340<br>                                                                                                                            |[0x800010a4]:c.and a0, a1<br> [0x800010a6]:sw a0, 872(ra)<br>  |
| 220|[0x80004570]<br>0x00002404|- rs1_val==1717986918 and rs2_val==46340<br>                                                                                                                             |[0x800010ba]:c.and a0, a1<br> [0x800010bc]:sw a0, 876(ra)<br>  |
| 221|[0x80004574]<br>0x00000002|- rs1_val==1717986918 and rs2_val==2<br>                                                                                                                                 |[0x800010cc]:c.and a0, a1<br> [0x800010ce]:sw a0, 880(ra)<br>  |
| 222|[0x80004578]<br>0x44444444|- rs1_val==1717986918 and rs2_val==1431655764<br>                                                                                                                        |[0x800010e2]:c.and a0, a1<br> [0x800010e4]:sw a0, 884(ra)<br>  |
| 223|[0x8000457c]<br>0x00000000|- rs1_val==1717986918 and rs2_val==0<br>                                                                                                                                 |[0x800010f4]:c.and a0, a1<br> [0x800010f6]:sw a0, 888(ra)<br>  |
| 224|[0x80004580]<br>0x00000004|- rs1_val==1717986918 and rs2_val==4<br>                                                                                                                                 |[0x80001106]:c.and a0, a1<br> [0x80001108]:sw a0, 892(ra)<br>  |
| 225|[0x80004584]<br>0x22222222|- rs1_val==1717986918 and rs2_val==858993458<br>                                                                                                                         |[0x8000111c]:c.and a0, a1<br> [0x8000111e]:sw a0, 896(ra)<br>  |
| 226|[0x80004588]<br>0x66666664|- rs1_val==1717986918 and rs2_val==1717986917<br>                                                                                                                        |[0x80001132]:c.and a0, a1<br> [0x80001134]:sw a0, 900(ra)<br>  |
| 227|[0x8000458c]<br>0x00002402|- rs1_val==1717986918 and rs2_val==46339<br>                                                                                                                             |[0x80001148]:c.and a0, a1<br> [0x8000114a]:sw a0, 904(ra)<br>  |
| 228|[0x80004590]<br>0x44444446|- rs1_val==1717986918 and rs2_val==1431655766<br>                                                                                                                        |[0x8000115e]:c.and a0, a1<br> [0x80001160]:sw a0, 908(ra)<br>  |
| 229|[0x80004594]<br>0x22222222|- rs1_val==1717986918 and rs2_val==-1431655765<br>                                                                                                                       |[0x80001174]:c.and a0, a1<br> [0x80001176]:sw a0, 912(ra)<br>  |
| 230|[0x80004598]<br>0x00000006|- rs1_val==1717986918 and rs2_val==6<br>                                                                                                                                 |[0x80001186]:c.and a0, a1<br> [0x80001188]:sw a0, 916(ra)<br>  |
| 231|[0x8000459c]<br>0x22222224|- rs1_val==1717986918 and rs2_val==858993460<br>                                                                                                                         |[0x8000119c]:c.and a0, a1<br> [0x8000119e]:sw a0, 920(ra)<br>  |
| 232|[0x800045a0]<br>0x66666666|- rs1_val==1717986918 and rs2_val==1717986919<br>                                                                                                                        |[0x800011b2]:c.and a0, a1<br> [0x800011b4]:sw a0, 924(ra)<br>  |
| 233|[0x800045a4]<br>0x66664264|- rs1_val==1717986918 and rs2_val==-46339<br>                                                                                                                            |[0x800011c8]:c.and a0, a1<br> [0x800011ca]:sw a0, 928(ra)<br>  |
| 234|[0x800045a8]<br>0x00002404|- rs1_val==1717986918 and rs2_val==46341<br>                                                                                                                             |[0x800011de]:c.and a0, a1<br> [0x800011e0]:sw a0, 932(ra)<br>  |
| 235|[0x800045ac]<br>0x00000000|- rs1_val==-46340 and rs2_val==3<br>                                                                                                                                     |[0x800011f0]:c.and a0, a1<br> [0x800011f2]:sw a0, 936(ra)<br>  |
| 236|[0x800045b0]<br>0x55554054|- rs1_val==-46340 and rs2_val==1431655765<br>                                                                                                                            |[0x80001206]:c.and a0, a1<br> [0x80001208]:sw a0, 940(ra)<br>  |
| 237|[0x800045b4]<br>0xAAAA0AA8|- rs1_val==-46340 and rs2_val==-1431655766<br>                                                                                                                           |[0x8000121c]:c.and a0, a1<br> [0x8000121e]:sw a0, 944(ra)<br>  |
| 238|[0x800045b8]<br>0x00000004|- rs1_val==-46340 and rs2_val==5<br>                                                                                                                                     |[0x8000122e]:c.and a0, a1<br> [0x80001230]:sw a0, 948(ra)<br>  |
| 239|[0x800045bc]<br>0x33330230|- rs1_val==-46340 and rs2_val==858993459<br>                                                                                                                             |[0x80001244]:c.and a0, a1<br> [0x80001246]:sw a0, 952(ra)<br>  |
| 240|[0x800045c0]<br>0x66664264|- rs1_val==-46340 and rs2_val==1717986918<br>                                                                                                                            |[0x8000125a]:c.and a0, a1<br> [0x8000125c]:sw a0, 956(ra)<br>  |
| 241|[0x800045c8]<br>0x00000004|- rs1_val==-46340 and rs2_val==46340<br>                                                                                                                                 |[0x80001286]:c.and a0, a1<br> [0x80001288]:sw a0, 964(ra)<br>  |
| 242|[0x800045cc]<br>0x00000000|- rs1_val==-46340 and rs2_val==2<br>                                                                                                                                     |[0x80001298]:c.and a0, a1<br> [0x8000129a]:sw a0, 968(ra)<br>  |
| 243|[0x800045d0]<br>0x55554054|- rs1_val==-46340 and rs2_val==1431655764<br>                                                                                                                            |[0x800012ae]:c.and a0, a1<br> [0x800012b0]:sw a0, 972(ra)<br>  |
| 244|[0x800045d4]<br>0x00000004|- rs1_val==-46340 and rs2_val==4<br>                                                                                                                                     |[0x800012c0]:c.and a0, a1<br> [0x800012c2]:sw a0, 976(ra)<br>  |
| 245|[0x800045d8]<br>0x33330230|- rs1_val==-46340 and rs2_val==858993458<br>                                                                                                                             |[0x800012d6]:c.and a0, a1<br> [0x800012d8]:sw a0, 980(ra)<br>  |
| 246|[0x800045dc]<br>0x66664264|- rs1_val==-46340 and rs2_val==1717986917<br>                                                                                                                            |[0x800012ec]:c.and a0, a1<br> [0x800012ee]:sw a0, 984(ra)<br>  |
| 247|[0x800045e0]<br>0x00000000|- rs1_val==-46340 and rs2_val==46339<br>                                                                                                                                 |[0x80001302]:c.and a0, a1<br> [0x80001304]:sw a0, 988(ra)<br>  |
| 248|[0x800045e4]<br>0x55554054|- rs1_val==-46340 and rs2_val==1431655766<br>                                                                                                                            |[0x80001318]:c.and a0, a1<br> [0x8000131a]:sw a0, 992(ra)<br>  |
| 249|[0x800045e8]<br>0xAAAA0AA8|- rs1_val==-46340 and rs2_val==-1431655765<br>                                                                                                                           |[0x8000132e]:c.and a0, a1<br> [0x80001330]:sw a0, 996(ra)<br>  |
| 250|[0x800045ec]<br>0x00000004|- rs1_val==-46340 and rs2_val==6<br>                                                                                                                                     |[0x80001340]:c.and a0, a1<br> [0x80001342]:sw a0, 1000(ra)<br> |
| 251|[0x800045f0]<br>0x33330234|- rs1_val==-46340 and rs2_val==858993460<br>                                                                                                                             |[0x80001356]:c.and a0, a1<br> [0x80001358]:sw a0, 1004(ra)<br> |
| 252|[0x800045f4]<br>0x66664264|- rs1_val==-46340 and rs2_val==1717986919<br>                                                                                                                            |[0x8000136c]:c.and a0, a1<br> [0x8000136e]:sw a0, 1008(ra)<br> |
| 253|[0x800045f8]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==-46339<br>                                                                                                                                |[0x80001382]:c.and a0, a1<br> [0x80001384]:sw a0, 1012(ra)<br> |
| 254|[0x800045fc]<br>0x00000004|- rs1_val==-46340 and rs2_val==46341<br>                                                                                                                                 |[0x80001398]:c.and a0, a1<br> [0x8000139a]:sw a0, 1016(ra)<br> |
| 255|[0x80004600]<br>0x00000000|- rs1_val==46340 and rs2_val==3<br>                                                                                                                                      |[0x800013aa]:c.and a0, a1<br> [0x800013ac]:sw a0, 1020(ra)<br> |
| 256|[0x80004604]<br>0x00001504|- rs1_val==46340 and rs2_val==1431655765<br>                                                                                                                             |[0x800013c0]:c.and a0, a1<br> [0x800013c2]:sw a0, 1024(ra)<br> |
| 257|[0x80004608]<br>0x0000A000|- rs1_val==46340 and rs2_val==-1431655766<br>                                                                                                                            |[0x800013d6]:c.and a0, a1<br> [0x800013d8]:sw a0, 1028(ra)<br> |
| 258|[0x8000460c]<br>0x00000004|- rs1_val==46340 and rs2_val==5<br>                                                                                                                                      |[0x800013e8]:c.and a0, a1<br> [0x800013ea]:sw a0, 1032(ra)<br> |
| 259|[0x80004610]<br>0x00003100|- rs1_val==46340 and rs2_val==858993459<br>                                                                                                                              |[0x800013fe]:c.and a0, a1<br> [0x80001400]:sw a0, 1036(ra)<br> |
| 260|[0x80004614]<br>0x00002404|- rs1_val==46340 and rs2_val==1717986918<br>                                                                                                                             |[0x80001414]:c.and a0, a1<br> [0x80001416]:sw a0, 1040(ra)<br> |
| 261|[0x80004618]<br>0x00000004|- rs1_val==46340 and rs2_val==-46340<br>                                                                                                                                 |[0x8000142a]:c.and a0, a1<br> [0x8000142c]:sw a0, 1044(ra)<br> |
| 262|[0x8000461c]<br>0x0000B504|- rs1_val==46340 and rs2_val==46340<br>                                                                                                                                  |[0x80001440]:c.and a0, a1<br> [0x80001442]:sw a0, 1048(ra)<br> |
| 263|[0x80004620]<br>0x00000000|- rs1_val==46340 and rs2_val==2<br>                                                                                                                                      |[0x80001452]:c.and a0, a1<br> [0x80001454]:sw a0, 1052(ra)<br> |
| 264|[0x80004624]<br>0x00001504|- rs1_val==46340 and rs2_val==1431655764<br>                                                                                                                             |[0x80001468]:c.and a0, a1<br> [0x8000146a]:sw a0, 1056(ra)<br> |
| 265|[0x80004628]<br>0x00000000|- rs1_val==46340 and rs2_val==0<br>                                                                                                                                      |[0x8000147a]:c.and a0, a1<br> [0x8000147c]:sw a0, 1060(ra)<br> |
| 266|[0x8000462c]<br>0x00000004|- rs1_val==46340 and rs2_val==4<br>                                                                                                                                      |[0x8000148c]:c.and a0, a1<br> [0x8000148e]:sw a0, 1064(ra)<br> |
| 267|[0x80004630]<br>0x00003100|- rs1_val==46340 and rs2_val==858993458<br>                                                                                                                              |[0x800014a2]:c.and a0, a1<br> [0x800014a4]:sw a0, 1068(ra)<br> |
| 268|[0x80004634]<br>0x00002404|- rs1_val==46340 and rs2_val==1717986917<br>                                                                                                                             |[0x800014b8]:c.and a0, a1<br> [0x800014ba]:sw a0, 1072(ra)<br> |
| 269|[0x80004638]<br>0x0000B500|- rs1_val==46340 and rs2_val==46339<br>                                                                                                                                  |[0x800014ce]:c.and a0, a1<br> [0x800014d0]:sw a0, 1076(ra)<br> |
| 270|[0x8000463c]<br>0x00001504|- rs1_val==46340 and rs2_val==1431655766<br>                                                                                                                             |[0x800014e4]:c.and a0, a1<br> [0x800014e6]:sw a0, 1080(ra)<br> |
| 271|[0x80004640]<br>0x0000A000|- rs1_val==46340 and rs2_val==-1431655765<br>                                                                                                                            |[0x800014fa]:c.and a0, a1<br> [0x800014fc]:sw a0, 1084(ra)<br> |
| 272|[0x80004644]<br>0x00000004|- rs1_val==46340 and rs2_val==6<br>                                                                                                                                      |[0x8000150c]:c.and a0, a1<br> [0x8000150e]:sw a0, 1088(ra)<br> |
| 273|[0x80004648]<br>0x00003104|- rs1_val==46340 and rs2_val==858993460<br>                                                                                                                              |[0x80001522]:c.and a0, a1<br> [0x80001524]:sw a0, 1092(ra)<br> |
| 274|[0x8000464c]<br>0x00002404|- rs1_val==46340 and rs2_val==1717986919<br>                                                                                                                             |[0x80001538]:c.and a0, a1<br> [0x8000153a]:sw a0, 1096(ra)<br> |
| 275|[0x80004650]<br>0x00000004|- rs1_val==46340 and rs2_val==-46339<br>                                                                                                                                 |[0x8000154e]:c.and a0, a1<br> [0x80001550]:sw a0, 1100(ra)<br> |
| 276|[0x80004654]<br>0x0000B504|- rs1_val==46340 and rs2_val==46341<br>                                                                                                                                  |[0x80001564]:c.and a0, a1<br> [0x80001566]:sw a0, 1104(ra)<br> |
| 277|[0x80004658]<br>0x00000002|- rs1_val==2 and rs2_val==3<br>                                                                                                                                          |[0x80001572]:c.and a0, a1<br> [0x80001574]:sw a0, 1108(ra)<br> |
| 278|[0x8000465c]<br>0x00000000|- rs1_val==2 and rs2_val==1431655765<br>                                                                                                                                 |[0x80001584]:c.and a0, a1<br> [0x80001586]:sw a0, 1112(ra)<br> |
| 279|[0x80004660]<br>0x00000002|- rs1_val==2 and rs2_val==-1431655766<br>                                                                                                                                |[0x80001596]:c.and a0, a1<br> [0x80001598]:sw a0, 1116(ra)<br> |
| 280|[0x80004664]<br>0x00000000|- rs1_val==2 and rs2_val==5<br>                                                                                                                                          |[0x800015a4]:c.and a0, a1<br> [0x800015a6]:sw a0, 1120(ra)<br> |
| 281|[0x80004668]<br>0x00000002|- rs1_val==2 and rs2_val==858993459<br>                                                                                                                                  |[0x800015b6]:c.and a0, a1<br> [0x800015b8]:sw a0, 1124(ra)<br> |
| 282|[0x8000466c]<br>0x00000002|- rs1_val==2 and rs2_val==1717986918<br>                                                                                                                                 |[0x800015c8]:c.and a0, a1<br> [0x800015ca]:sw a0, 1128(ra)<br> |
| 283|[0x80004670]<br>0x00000000|- rs1_val==2 and rs2_val==-46340<br>                                                                                                                                     |[0x800015da]:c.and a0, a1<br> [0x800015dc]:sw a0, 1132(ra)<br> |
| 284|[0x80004674]<br>0x00000000|- rs1_val==2 and rs2_val==46340<br>                                                                                                                                      |[0x800015ec]:c.and a0, a1<br> [0x800015ee]:sw a0, 1136(ra)<br> |
| 285|[0x80004678]<br>0x00000002|- rs1_val==2 and rs2_val==2<br>                                                                                                                                          |[0x800015fa]:c.and a0, a1<br> [0x800015fc]:sw a0, 1140(ra)<br> |
| 286|[0x8000467c]<br>0x00000000|- rs1_val==2 and rs2_val==1431655764<br>                                                                                                                                 |[0x8000160c]:c.and a0, a1<br> [0x8000160e]:sw a0, 1144(ra)<br> |
| 287|[0x80004680]<br>0x00000000|- rs1_val==2 and rs2_val==0<br>                                                                                                                                          |[0x8000161a]:c.and a0, a1<br> [0x8000161c]:sw a0, 1148(ra)<br> |
| 288|[0x80004684]<br>0x00000000|- rs1_val==2 and rs2_val==4<br>                                                                                                                                          |[0x80001628]:c.and a0, a1<br> [0x8000162a]:sw a0, 1152(ra)<br> |
| 289|[0x80004688]<br>0x00000002|- rs1_val==2 and rs2_val==858993458<br>                                                                                                                                  |[0x8000163a]:c.and a0, a1<br> [0x8000163c]:sw a0, 1156(ra)<br> |
| 290|[0x8000468c]<br>0x00000000|- rs1_val==2 and rs2_val==1717986917<br>                                                                                                                                 |[0x8000164c]:c.and a0, a1<br> [0x8000164e]:sw a0, 1160(ra)<br> |
| 291|[0x80004690]<br>0x00000002|- rs1_val==2 and rs2_val==46339<br>                                                                                                                                      |[0x8000165e]:c.and a0, a1<br> [0x80001660]:sw a0, 1164(ra)<br> |
| 292|[0x80004694]<br>0x00000002|- rs1_val==2 and rs2_val==1431655766<br>                                                                                                                                 |[0x80001670]:c.and a0, a1<br> [0x80001672]:sw a0, 1168(ra)<br> |
| 293|[0x80004698]<br>0x00000002|- rs1_val==2 and rs2_val==-1431655765<br>                                                                                                                                |[0x80001682]:c.and a0, a1<br> [0x80001684]:sw a0, 1172(ra)<br> |
| 294|[0x8000469c]<br>0x00000002|- rs1_val==2 and rs2_val==6<br>                                                                                                                                          |[0x80001690]:c.and a0, a1<br> [0x80001692]:sw a0, 1176(ra)<br> |
| 295|[0x800046a0]<br>0x00000000|- rs1_val==2 and rs2_val==858993460<br>                                                                                                                                  |[0x800016a2]:c.and a0, a1<br> [0x800016a4]:sw a0, 1180(ra)<br> |
| 296|[0x800046a4]<br>0x00000002|- rs1_val==2 and rs2_val==1717986919<br>                                                                                                                                 |[0x800016b4]:c.and a0, a1<br> [0x800016b6]:sw a0, 1184(ra)<br> |
| 297|[0x800046a8]<br>0x00000000|- rs1_val==2 and rs2_val==-46339<br>                                                                                                                                     |[0x800016c6]:c.and a0, a1<br> [0x800016c8]:sw a0, 1188(ra)<br> |
| 298|[0x800046ac]<br>0x00000000|- rs1_val==2 and rs2_val==46341<br>                                                                                                                                      |[0x800016d8]:c.and a0, a1<br> [0x800016da]:sw a0, 1192(ra)<br> |
| 299|[0x800046b0]<br>0x00000000|- rs1_val==1431655764 and rs2_val==3<br>                                                                                                                                 |[0x800016ea]:c.and a0, a1<br> [0x800016ec]:sw a0, 1196(ra)<br> |
| 300|[0x800046b4]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655765<br>                                                                                                                        |[0x80001700]:c.and a0, a1<br> [0x80001702]:sw a0, 1200(ra)<br> |
| 301|[0x800046b8]<br>0x00000000|- rs1_val==1431655764 and rs2_val==-1431655766<br>                                                                                                                       |[0x80001716]:c.and a0, a1<br> [0x80001718]:sw a0, 1204(ra)<br> |
| 302|[0x800046bc]<br>0x00000004|- rs1_val==1431655764 and rs2_val==5<br>                                                                                                                                 |[0x80001728]:c.and a0, a1<br> [0x8000172a]:sw a0, 1208(ra)<br> |
| 303|[0x800046c0]<br>0x11111110|- rs1_val==1431655764 and rs2_val==858993459<br>                                                                                                                         |[0x8000173e]:c.and a0, a1<br> [0x80001740]:sw a0, 1212(ra)<br> |
| 304|[0x800046c4]<br>0x44444444|- rs1_val==1431655764 and rs2_val==1717986918<br>                                                                                                                        |[0x80001754]:c.and a0, a1<br> [0x80001756]:sw a0, 1216(ra)<br> |
| 305|[0x800046c8]<br>0x55554054|- rs1_val==1431655764 and rs2_val==-46340<br>                                                                                                                            |[0x8000176a]:c.and a0, a1<br> [0x8000176c]:sw a0, 1220(ra)<br> |
| 306|[0x800046cc]<br>0x00001504|- rs1_val==1431655764 and rs2_val==46340<br>                                                                                                                             |[0x80001780]:c.and a0, a1<br> [0x80001782]:sw a0, 1224(ra)<br> |
| 307|[0x800046d0]<br>0x00000000|- rs1_val==1431655764 and rs2_val==2<br>                                                                                                                                 |[0x80001792]:c.and a0, a1<br> [0x80001794]:sw a0, 1228(ra)<br> |
| 308|[0x800046d4]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655764<br>                                                                                                                        |[0x800017a8]:c.and a0, a1<br> [0x800017aa]:sw a0, 1232(ra)<br> |
| 309|[0x800046d8]<br>0x00000000|- rs1_val==1431655764 and rs2_val==0<br>                                                                                                                                 |[0x800017ba]:c.and a0, a1<br> [0x800017bc]:sw a0, 1236(ra)<br> |
| 310|[0x800046dc]<br>0x00000004|- rs1_val==1431655764 and rs2_val==4<br>                                                                                                                                 |[0x800017cc]:c.and a0, a1<br> [0x800017ce]:sw a0, 1240(ra)<br> |
| 311|[0x800046e0]<br>0x11111110|- rs1_val==1431655764 and rs2_val==858993458<br>                                                                                                                         |[0x800017e2]:c.and a0, a1<br> [0x800017e4]:sw a0, 1244(ra)<br> |
| 312|[0x800046e4]<br>0x44444444|- rs1_val==1431655764 and rs2_val==1717986917<br>                                                                                                                        |[0x800017f8]:c.and a0, a1<br> [0x800017fa]:sw a0, 1248(ra)<br> |
| 313|[0x800046e8]<br>0x00001500|- rs1_val==1431655764 and rs2_val==46339<br>                                                                                                                             |[0x8000180e]:c.and a0, a1<br> [0x80001810]:sw a0, 1252(ra)<br> |
| 314|[0x800046ec]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655766<br>                                                                                                                        |[0x80001824]:c.and a0, a1<br> [0x80001826]:sw a0, 1256(ra)<br> |
| 315|[0x800046f0]<br>0x00000000|- rs1_val==1431655764 and rs2_val==-1431655765<br>                                                                                                                       |[0x8000183a]:c.and a0, a1<br> [0x8000183c]:sw a0, 1260(ra)<br> |
| 316|[0x800046f4]<br>0x00000004|- rs1_val==1431655764 and rs2_val==6<br>                                                                                                                                 |[0x8000184c]:c.and a0, a1<br> [0x8000184e]:sw a0, 1264(ra)<br> |
| 317|[0x800046f8]<br>0x11111114|- rs1_val==1431655764 and rs2_val==858993460<br>                                                                                                                         |[0x80001862]:c.and a0, a1<br> [0x80001864]:sw a0, 1268(ra)<br> |
| 318|[0x800046fc]<br>0x44444444|- rs1_val==1431655764 and rs2_val==1717986919<br>                                                                                                                        |[0x80001878]:c.and a0, a1<br> [0x8000187a]:sw a0, 1272(ra)<br> |
| 319|[0x80004700]<br>0x55554054|- rs1_val==1431655764 and rs2_val==-46339<br>                                                                                                                            |[0x8000188e]:c.and a0, a1<br> [0x80001890]:sw a0, 1276(ra)<br> |
| 320|[0x80004704]<br>0x00001504|- rs1_val==1431655764 and rs2_val==46341<br>                                                                                                                             |[0x800018a4]:c.and a0, a1<br> [0x800018a6]:sw a0, 1280(ra)<br> |
| 321|[0x80004708]<br>0x00000000|- rs1_val==0 and rs2_val==3<br>                                                                                                                                          |[0x800018b2]:c.and a0, a1<br> [0x800018b4]:sw a0, 1284(ra)<br> |
| 322|[0x8000470c]<br>0x00000000|- rs1_val==0 and rs2_val==1431655765<br>                                                                                                                                 |[0x800018c4]:c.and a0, a1<br> [0x800018c6]:sw a0, 1288(ra)<br> |
| 323|[0x80004710]<br>0x00000000|- rs1_val==0 and rs2_val==-1431655766<br>                                                                                                                                |[0x800018d6]:c.and a0, a1<br> [0x800018d8]:sw a0, 1292(ra)<br> |
| 324|[0x80004714]<br>0x00000000|- rs1_val==0 and rs2_val==5<br>                                                                                                                                          |[0x800018e4]:c.and a0, a1<br> [0x800018e6]:sw a0, 1296(ra)<br> |
| 325|[0x80004718]<br>0x00000000|- rs1_val==0 and rs2_val==858993459<br>                                                                                                                                  |[0x800018f6]:c.and a0, a1<br> [0x800018f8]:sw a0, 1300(ra)<br> |
| 326|[0x8000471c]<br>0x00000000|- rs1_val==0 and rs2_val==1717986918<br>                                                                                                                                 |[0x80001908]:c.and a0, a1<br> [0x8000190a]:sw a0, 1304(ra)<br> |
| 327|[0x80004720]<br>0x00000000|- rs1_val==0 and rs2_val==-46340<br>                                                                                                                                     |[0x8000191a]:c.and a0, a1<br> [0x8000191c]:sw a0, 1308(ra)<br> |
| 328|[0x80004724]<br>0x00000000|- rs1_val==0 and rs2_val==46340<br>                                                                                                                                      |[0x8000192c]:c.and a0, a1<br> [0x8000192e]:sw a0, 1312(ra)<br> |
| 329|[0x80004728]<br>0x00000000|- rs1_val==0 and rs2_val==2<br>                                                                                                                                          |[0x8000193a]:c.and a0, a1<br> [0x8000193c]:sw a0, 1316(ra)<br> |
| 330|[0x8000472c]<br>0xAAAA0AA9|- rs1_val==-1431655765 and rs2_val==-46339<br>                                                                                                                           |[0x80001950]:c.and a0, a1<br> [0x80001952]:sw a0, 1320(ra)<br> |
| 331|[0x80004730]<br>0x0000A001|- rs1_val==-1431655765 and rs2_val==46341<br>                                                                                                                            |[0x80001966]:c.and a0, a1<br> [0x80001968]:sw a0, 1324(ra)<br> |
| 332|[0x80004734]<br>0x00000002|- rs1_val==6 and rs2_val==3<br>                                                                                                                                          |[0x80001974]:c.and a0, a1<br> [0x80001976]:sw a0, 1328(ra)<br> |
| 333|[0x80004738]<br>0x00000004|- rs1_val==6 and rs2_val==1431655765<br>                                                                                                                                 |[0x80001986]:c.and a0, a1<br> [0x80001988]:sw a0, 1332(ra)<br> |
| 334|[0x8000473c]<br>0x00000002|- rs1_val==6 and rs2_val==-1431655766<br>                                                                                                                                |[0x80001998]:c.and a0, a1<br> [0x8000199a]:sw a0, 1336(ra)<br> |
| 335|[0x80004740]<br>0x00000004|- rs1_val==6 and rs2_val==5<br>                                                                                                                                          |[0x800019a6]:c.and a0, a1<br> [0x800019a8]:sw a0, 1340(ra)<br> |
| 336|[0x80004744]<br>0x00000002|- rs1_val==6 and rs2_val==858993459<br>                                                                                                                                  |[0x800019b8]:c.and a0, a1<br> [0x800019ba]:sw a0, 1344(ra)<br> |
| 337|[0x80004748]<br>0x00000006|- rs1_val==6 and rs2_val==1717986918<br>                                                                                                                                 |[0x800019ca]:c.and a0, a1<br> [0x800019cc]:sw a0, 1348(ra)<br> |
| 338|[0x8000474c]<br>0x00000004|- rs1_val==6 and rs2_val==-46340<br>                                                                                                                                     |[0x800019dc]:c.and a0, a1<br> [0x800019de]:sw a0, 1352(ra)<br> |
| 339|[0x80004750]<br>0x00000004|- rs1_val==6 and rs2_val==46340<br>                                                                                                                                      |[0x800019ee]:c.and a0, a1<br> [0x800019f0]:sw a0, 1356(ra)<br> |
| 340|[0x80004754]<br>0x00000002|- rs1_val==6 and rs2_val==2<br>                                                                                                                                          |[0x800019fc]:c.and a0, a1<br> [0x800019fe]:sw a0, 1360(ra)<br> |
| 341|[0x80004758]<br>0x00000004|- rs1_val==6 and rs2_val==1431655764<br>                                                                                                                                 |[0x80001a0e]:c.and a0, a1<br> [0x80001a10]:sw a0, 1364(ra)<br> |
| 342|[0x8000475c]<br>0x00000000|- rs1_val==6 and rs2_val==0<br>                                                                                                                                          |[0x80001a1c]:c.and a0, a1<br> [0x80001a1e]:sw a0, 1368(ra)<br> |
| 343|[0x80004760]<br>0x00000004|- rs1_val==6 and rs2_val==4<br>                                                                                                                                          |[0x80001a2a]:c.and a0, a1<br> [0x80001a2c]:sw a0, 1372(ra)<br> |
| 344|[0x80004764]<br>0x00000002|- rs1_val==6 and rs2_val==858993458<br>                                                                                                                                  |[0x80001a3c]:c.and a0, a1<br> [0x80001a3e]:sw a0, 1376(ra)<br> |
| 345|[0x80004768]<br>0x00000004|- rs1_val==6 and rs2_val==1717986917<br>                                                                                                                                 |[0x80001a4e]:c.and a0, a1<br> [0x80001a50]:sw a0, 1380(ra)<br> |
| 346|[0x8000476c]<br>0x00000002|- rs1_val==6 and rs2_val==46339<br>                                                                                                                                      |[0x80001a60]:c.and a0, a1<br> [0x80001a62]:sw a0, 1384(ra)<br> |
| 347|[0x80004770]<br>0x00000006|- rs1_val==6 and rs2_val==1431655766<br>                                                                                                                                 |[0x80001a72]:c.and a0, a1<br> [0x80001a74]:sw a0, 1388(ra)<br> |
| 348|[0x80004774]<br>0x00000002|- rs1_val==6 and rs2_val==-1431655765<br>                                                                                                                                |[0x80001a84]:c.and a0, a1<br> [0x80001a86]:sw a0, 1392(ra)<br> |
| 349|[0x80004778]<br>0x00000006|- rs1_val==6 and rs2_val==6<br>                                                                                                                                          |[0x80001a92]:c.and a0, a1<br> [0x80001a94]:sw a0, 1396(ra)<br> |
| 350|[0x8000477c]<br>0x00000004|- rs1_val==6 and rs2_val==858993460<br>                                                                                                                                  |[0x80001aa4]:c.and a0, a1<br> [0x80001aa6]:sw a0, 1400(ra)<br> |
| 351|[0x80004780]<br>0x00000006|- rs1_val==6 and rs2_val==1717986919<br>                                                                                                                                 |[0x80001ab6]:c.and a0, a1<br> [0x80001ab8]:sw a0, 1404(ra)<br> |
| 352|[0x80004784]<br>0x00000004|- rs1_val==6 and rs2_val==-46339<br>                                                                                                                                     |[0x80001ac8]:c.and a0, a1<br> [0x80001aca]:sw a0, 1408(ra)<br> |
| 353|[0x80004788]<br>0x00000004|- rs1_val==6 and rs2_val==46341<br>                                                                                                                                      |[0x80001ada]:c.and a0, a1<br> [0x80001adc]:sw a0, 1412(ra)<br> |
| 354|[0x8000478c]<br>0x00000000|- rs1_val==858993460 and rs2_val==3<br>                                                                                                                                  |[0x80001aec]:c.and a0, a1<br> [0x80001aee]:sw a0, 1416(ra)<br> |
| 355|[0x80004790]<br>0x11111114|- rs1_val==858993460 and rs2_val==1431655765<br>                                                                                                                         |[0x80001b02]:c.and a0, a1<br> [0x80001b04]:sw a0, 1420(ra)<br> |
| 356|[0x80004794]<br>0x22222220|- rs1_val==858993460 and rs2_val==-1431655766<br>                                                                                                                        |[0x80001b18]:c.and a0, a1<br> [0x80001b1a]:sw a0, 1424(ra)<br> |
| 357|[0x80004798]<br>0x00000004|- rs1_val==858993460 and rs2_val==5<br>                                                                                                                                  |[0x80001b2a]:c.and a0, a1<br> [0x80001b2c]:sw a0, 1428(ra)<br> |
| 358|[0x8000479c]<br>0x33333330|- rs1_val==858993460 and rs2_val==858993459<br>                                                                                                                          |[0x80001b40]:c.and a0, a1<br> [0x80001b42]:sw a0, 1432(ra)<br> |
| 359|[0x800047a0]<br>0x22222224|- rs1_val==858993460 and rs2_val==1717986918<br>                                                                                                                         |[0x80001b56]:c.and a0, a1<br> [0x80001b58]:sw a0, 1436(ra)<br> |
| 360|[0x800047a4]<br>0x33330234|- rs1_val==858993460 and rs2_val==-46340<br>                                                                                                                             |[0x80001b6c]:c.and a0, a1<br> [0x80001b6e]:sw a0, 1440(ra)<br> |
| 361|[0x800047a8]<br>0x00003104|- rs1_val==858993460 and rs2_val==46340<br>                                                                                                                              |[0x80001b82]:c.and a0, a1<br> [0x80001b84]:sw a0, 1444(ra)<br> |
| 362|[0x800047ac]<br>0x00000000|- rs1_val==858993460 and rs2_val==2<br>                                                                                                                                  |[0x80001b94]:c.and a0, a1<br> [0x80001b96]:sw a0, 1448(ra)<br> |
| 363|[0x800047b0]<br>0x11111114|- rs1_val==858993460 and rs2_val==1431655764<br>                                                                                                                         |[0x80001baa]:c.and a0, a1<br> [0x80001bac]:sw a0, 1452(ra)<br> |
| 364|[0x800047b4]<br>0x00000000|- rs1_val==858993460 and rs2_val==0<br>                                                                                                                                  |[0x80001bbc]:c.and a0, a1<br> [0x80001bbe]:sw a0, 1456(ra)<br> |
| 365|[0x800047b8]<br>0x00000004|- rs1_val==858993460 and rs2_val==4<br>                                                                                                                                  |[0x80001bce]:c.and a0, a1<br> [0x80001bd0]:sw a0, 1460(ra)<br> |
| 366|[0x800047bc]<br>0x33333330|- rs1_val==858993460 and rs2_val==858993458<br>                                                                                                                          |[0x80001be4]:c.and a0, a1<br> [0x80001be6]:sw a0, 1464(ra)<br> |
| 367|[0x800047c0]<br>0x22222224|- rs1_val==858993460 and rs2_val==1717986917<br>                                                                                                                         |[0x80001bfa]:c.and a0, a1<br> [0x80001bfc]:sw a0, 1468(ra)<br> |
| 368|[0x800047c4]<br>0x00003100|- rs1_val==858993460 and rs2_val==46339<br>                                                                                                                              |[0x80001c10]:c.and a0, a1<br> [0x80001c12]:sw a0, 1472(ra)<br> |
| 369|[0x800047c8]<br>0x11111114|- rs1_val==858993460 and rs2_val==1431655766<br>                                                                                                                         |[0x80001c26]:c.and a0, a1<br> [0x80001c28]:sw a0, 1476(ra)<br> |
| 370|[0x800047cc]<br>0x22222220|- rs1_val==858993460 and rs2_val==-1431655765<br>                                                                                                                        |[0x80001c3c]:c.and a0, a1<br> [0x80001c3e]:sw a0, 1480(ra)<br> |
| 371|[0x800047d0]<br>0x00000004|- rs1_val==858993460 and rs2_val==6<br>                                                                                                                                  |[0x80001c4e]:c.and a0, a1<br> [0x80001c50]:sw a0, 1484(ra)<br> |
| 372|[0x800047d4]<br>0x33333334|- rs1_val==858993460 and rs2_val==858993460<br>                                                                                                                          |[0x80001c64]:c.and a0, a1<br> [0x80001c66]:sw a0, 1488(ra)<br> |
| 373|[0x800047d8]<br>0x22222224|- rs1_val==858993460 and rs2_val==1717986919<br>                                                                                                                         |[0x80001c7a]:c.and a0, a1<br> [0x80001c7c]:sw a0, 1492(ra)<br> |
| 374|[0x800047dc]<br>0x33330234|- rs1_val==858993460 and rs2_val==-46339<br>                                                                                                                             |[0x80001c90]:c.and a0, a1<br> [0x80001c92]:sw a0, 1496(ra)<br> |
| 375|[0x800047e0]<br>0x00003104|- rs1_val==858993460 and rs2_val==46341<br>                                                                                                                              |[0x80001ca6]:c.and a0, a1<br> [0x80001ca8]:sw a0, 1500(ra)<br> |
| 376|[0x800047e4]<br>0x00000003|- rs1_val==1717986919 and rs2_val==3<br>                                                                                                                                 |[0x80001cb8]:c.and a0, a1<br> [0x80001cba]:sw a0, 1504(ra)<br> |
| 377|[0x800047e8]<br>0x44444445|- rs1_val==1717986919 and rs2_val==1431655765<br>                                                                                                                        |[0x80001cce]:c.and a0, a1<br> [0x80001cd0]:sw a0, 1508(ra)<br> |
| 378|[0x800047ec]<br>0x22222222|- rs1_val==1717986919 and rs2_val==-1431655766<br>                                                                                                                       |[0x80001ce4]:c.and a0, a1<br> [0x80001ce6]:sw a0, 1512(ra)<br> |
| 379|[0x800047f0]<br>0x00000005|- rs1_val==1717986919 and rs2_val==5<br>                                                                                                                                 |[0x80001cf6]:c.and a0, a1<br> [0x80001cf8]:sw a0, 1516(ra)<br> |
| 380|[0x800047f4]<br>0x22222223|- rs1_val==1717986919 and rs2_val==858993459<br>                                                                                                                         |[0x80001d0c]:c.and a0, a1<br> [0x80001d0e]:sw a0, 1520(ra)<br> |
| 381|[0x800047f8]<br>0x66666666|- rs1_val==1717986919 and rs2_val==1717986918<br>                                                                                                                        |[0x80001d22]:c.and a0, a1<br> [0x80001d24]:sw a0, 1524(ra)<br> |
| 382|[0x800047fc]<br>0x66664264|- rs1_val==1717986919 and rs2_val==-46340<br>                                                                                                                            |[0x80001d38]:c.and a0, a1<br> [0x80001d3a]:sw a0, 1528(ra)<br> |
| 383|[0x80004800]<br>0x00002404|- rs1_val==1717986919 and rs2_val==46340<br>                                                                                                                             |[0x80001d4e]:c.and a0, a1<br> [0x80001d50]:sw a0, 1532(ra)<br> |
| 384|[0x80004804]<br>0x00000002|- rs1_val==1717986919 and rs2_val==2<br>                                                                                                                                 |[0x80001d60]:c.and a0, a1<br> [0x80001d62]:sw a0, 1536(ra)<br> |
| 385|[0x80004808]<br>0x44444444|- rs1_val==1717986919 and rs2_val==1431655764<br>                                                                                                                        |[0x80001d76]:c.and a0, a1<br> [0x80001d78]:sw a0, 1540(ra)<br> |
| 386|[0x8000480c]<br>0x00000000|- rs1_val==1717986919 and rs2_val==0<br>                                                                                                                                 |[0x80001d88]:c.and a0, a1<br> [0x80001d8a]:sw a0, 1544(ra)<br> |
| 387|[0x80004810]<br>0x00000004|- rs1_val==1717986919 and rs2_val==4<br>                                                                                                                                 |[0x80001d9a]:c.and a0, a1<br> [0x80001d9c]:sw a0, 1548(ra)<br> |
| 388|[0x80004814]<br>0x22222222|- rs1_val==1717986919 and rs2_val==858993458<br>                                                                                                                         |[0x80001db0]:c.and a0, a1<br> [0x80001db2]:sw a0, 1552(ra)<br> |
| 389|[0x80004818]<br>0x66666665|- rs1_val==1717986919 and rs2_val==1717986917<br>                                                                                                                        |[0x80001dc6]:c.and a0, a1<br> [0x80001dc8]:sw a0, 1556(ra)<br> |
| 390|[0x8000481c]<br>0x00002403|- rs1_val==1717986919 and rs2_val==46339<br>                                                                                                                             |[0x80001ddc]:c.and a0, a1<br> [0x80001dde]:sw a0, 1560(ra)<br> |
| 391|[0x80004820]<br>0x44444446|- rs1_val==1717986919 and rs2_val==1431655766<br>                                                                                                                        |[0x80001df2]:c.and a0, a1<br> [0x80001df4]:sw a0, 1564(ra)<br> |
| 392|[0x80004824]<br>0x22222223|- rs1_val==1717986919 and rs2_val==-1431655765<br>                                                                                                                       |[0x80001e08]:c.and a0, a1<br> [0x80001e0a]:sw a0, 1568(ra)<br> |
| 393|[0x80004828]<br>0x00000006|- rs1_val==1717986919 and rs2_val==6<br>                                                                                                                                 |[0x80001e1a]:c.and a0, a1<br> [0x80001e1c]:sw a0, 1572(ra)<br> |
| 394|[0x8000482c]<br>0x22222224|- rs1_val==1717986919 and rs2_val==858993460<br>                                                                                                                         |[0x80001e30]:c.and a0, a1<br> [0x80001e32]:sw a0, 1576(ra)<br> |
| 395|[0x80004830]<br>0x66666667|- rs1_val==1717986919 and rs2_val==1717986919<br>                                                                                                                        |[0x80001e46]:c.and a0, a1<br> [0x80001e48]:sw a0, 1580(ra)<br> |
| 396|[0x80004834]<br>0x66664265|- rs1_val==1717986919 and rs2_val==-46339<br>                                                                                                                            |[0x80001e5c]:c.and a0, a1<br> [0x80001e5e]:sw a0, 1584(ra)<br> |
| 397|[0x80004838]<br>0x00002405|- rs1_val==1717986919 and rs2_val==46341<br>                                                                                                                             |[0x80001e72]:c.and a0, a1<br> [0x80001e74]:sw a0, 1588(ra)<br> |
| 398|[0x8000483c]<br>0x00000001|- rs1_val==-46339 and rs2_val==3<br>                                                                                                                                     |[0x80001e84]:c.and a0, a1<br> [0x80001e86]:sw a0, 1592(ra)<br> |
| 399|[0x80004840]<br>0x55554055|- rs1_val==-46339 and rs2_val==1431655765<br>                                                                                                                            |[0x80001e9a]:c.and a0, a1<br> [0x80001e9c]:sw a0, 1596(ra)<br> |
| 400|[0x80004844]<br>0xAAAA0AA8|- rs1_val==-46339 and rs2_val==-1431655766<br>                                                                                                                           |[0x80001eb0]:c.and a0, a1<br> [0x80001eb2]:sw a0, 1600(ra)<br> |
| 401|[0x80004848]<br>0x00000005|- rs1_val==-46339 and rs2_val==5<br>                                                                                                                                     |[0x80001ec2]:c.and a0, a1<br> [0x80001ec4]:sw a0, 1604(ra)<br> |
| 402|[0x8000484c]<br>0x33330231|- rs1_val==-46339 and rs2_val==858993459<br>                                                                                                                             |[0x80001ed8]:c.and a0, a1<br> [0x80001eda]:sw a0, 1608(ra)<br> |
| 403|[0x80004850]<br>0x66664264|- rs1_val==-46339 and rs2_val==1717986918<br>                                                                                                                            |[0x80001eee]:c.and a0, a1<br> [0x80001ef0]:sw a0, 1612(ra)<br> |
| 404|[0x80004854]<br>0xFFFF4AFC|- rs1_val==-46339 and rs2_val==-46340<br>                                                                                                                                |[0x80001f04]:c.and a0, a1<br> [0x80001f06]:sw a0, 1616(ra)<br> |
| 405|[0x80004858]<br>0x00000004|- rs1_val==-46339 and rs2_val==46340<br>                                                                                                                                 |[0x80001f1a]:c.and a0, a1<br> [0x80001f1c]:sw a0, 1620(ra)<br> |
| 406|[0x8000485c]<br>0x00000000|- rs1_val==-46339 and rs2_val==2<br>                                                                                                                                     |[0x80001f2c]:c.and a0, a1<br> [0x80001f2e]:sw a0, 1624(ra)<br> |
| 407|[0x80004860]<br>0x55554054|- rs1_val==-46339 and rs2_val==1431655764<br>                                                                                                                            |[0x80001f42]:c.and a0, a1<br> [0x80001f44]:sw a0, 1628(ra)<br> |
| 408|[0x80004864]<br>0x00000000|- rs1_val==-46339 and rs2_val==0<br>                                                                                                                                     |[0x80001f54]:c.and a0, a1<br> [0x80001f56]:sw a0, 1632(ra)<br> |
| 409|[0x80004868]<br>0x00000004|- rs1_val==-46339 and rs2_val==4<br>                                                                                                                                     |[0x80001f66]:c.and a0, a1<br> [0x80001f68]:sw a0, 1636(ra)<br> |
| 410|[0x8000486c]<br>0x33330230|- rs1_val==-46339 and rs2_val==858993458<br>                                                                                                                             |[0x80001f7c]:c.and a0, a1<br> [0x80001f7e]:sw a0, 1640(ra)<br> |
| 411|[0x80004870]<br>0x66664265|- rs1_val==-46339 and rs2_val==1717986917<br>                                                                                                                            |[0x80001f92]:c.and a0, a1<br> [0x80001f94]:sw a0, 1644(ra)<br> |
| 412|[0x80004874]<br>0x00000001|- rs1_val==-46339 and rs2_val==46339<br>                                                                                                                                 |[0x80001fa8]:c.and a0, a1<br> [0x80001faa]:sw a0, 1648(ra)<br> |
| 413|[0x80004878]<br>0x55554054|- rs1_val==-46339 and rs2_val==1431655766<br>                                                                                                                            |[0x80001fbe]:c.and a0, a1<br> [0x80001fc0]:sw a0, 1652(ra)<br> |
| 414|[0x8000487c]<br>0xAAAA0AA9|- rs1_val==-46339 and rs2_val==-1431655765<br>                                                                                                                           |[0x80001fd4]:c.and a0, a1<br> [0x80001fd6]:sw a0, 1656(ra)<br> |
| 415|[0x80004880]<br>0x00000004|- rs1_val==-46339 and rs2_val==6<br>                                                                                                                                     |[0x80001fe6]:c.and a0, a1<br> [0x80001fe8]:sw a0, 1660(ra)<br> |
| 416|[0x80004884]<br>0x33330234|- rs1_val==-46339 and rs2_val==858993460<br>                                                                                                                             |[0x80001ffc]:c.and a0, a1<br> [0x80001ffe]:sw a0, 1664(ra)<br> |
| 417|[0x80004888]<br>0x66664265|- rs1_val==-46339 and rs2_val==1717986919<br>                                                                                                                            |[0x80002012]:c.and a0, a1<br> [0x80002014]:sw a0, 1668(ra)<br> |
| 418|[0x8000488c]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==-46339<br>                                                                                                                                |[0x80002028]:c.and a0, a1<br> [0x8000202a]:sw a0, 1672(ra)<br> |
| 419|[0x80004890]<br>0x00000005|- rs1_val==-46339 and rs2_val==46341<br>                                                                                                                                 |[0x8000203e]:c.and a0, a1<br> [0x80002040]:sw a0, 1676(ra)<br> |
| 420|[0x80004894]<br>0x00000001|- rs1_val==46341 and rs2_val==3<br>                                                                                                                                      |[0x80002050]:c.and a0, a1<br> [0x80002052]:sw a0, 1680(ra)<br> |
| 421|[0x80004898]<br>0x00001505|- rs1_val==46341 and rs2_val==1431655765<br>                                                                                                                             |[0x80002066]:c.and a0, a1<br> [0x80002068]:sw a0, 1684(ra)<br> |
| 422|[0x8000489c]<br>0x0000A000|- rs1_val==46341 and rs2_val==-1431655766<br>                                                                                                                            |[0x8000207c]:c.and a0, a1<br> [0x8000207e]:sw a0, 1688(ra)<br> |
| 423|[0x800048a0]<br>0x00000005|- rs1_val==46341 and rs2_val==5<br>                                                                                                                                      |[0x8000208e]:c.and a0, a1<br> [0x80002090]:sw a0, 1692(ra)<br> |
| 424|[0x800048a4]<br>0x00003101|- rs1_val==46341 and rs2_val==858993459<br>                                                                                                                              |[0x800020a4]:c.and a0, a1<br> [0x800020a6]:sw a0, 1696(ra)<br> |
| 425|[0x800048a8]<br>0x00002404|- rs1_val==46341 and rs2_val==1717986918<br>                                                                                                                             |[0x800020ba]:c.and a0, a1<br> [0x800020bc]:sw a0, 1700(ra)<br> |
| 426|[0x800048ac]<br>0x00000004|- rs1_val==46341 and rs2_val==-46340<br>                                                                                                                                 |[0x800020d0]:c.and a0, a1<br> [0x800020d2]:sw a0, 1704(ra)<br> |
| 427|[0x800048b0]<br>0x0000B504|- rs1_val==46341 and rs2_val==46340<br>                                                                                                                                  |[0x800020e6]:c.and a0, a1<br> [0x800020e8]:sw a0, 1708(ra)<br> |
| 428|[0x800048b4]<br>0x00000000|- rs1_val==46341 and rs2_val==2<br>                                                                                                                                      |[0x800020f8]:c.and a0, a1<br> [0x800020fa]:sw a0, 1712(ra)<br> |
| 429|[0x800048b8]<br>0x00001504|- rs1_val==46341 and rs2_val==1431655764<br>                                                                                                                             |[0x8000210e]:c.and a0, a1<br> [0x80002110]:sw a0, 1716(ra)<br> |
| 430|[0x800048bc]<br>0x00000000|- rs1_val==46341 and rs2_val==0<br>                                                                                                                                      |[0x80002120]:c.and a0, a1<br> [0x80002122]:sw a0, 1720(ra)<br> |
| 431|[0x800048c0]<br>0x00000004|- rs1_val==46341 and rs2_val==4<br>                                                                                                                                      |[0x80002132]:c.and a0, a1<br> [0x80002134]:sw a0, 1724(ra)<br> |
| 432|[0x800048c4]<br>0x00003100|- rs1_val==46341 and rs2_val==858993458<br>                                                                                                                              |[0x80002148]:c.and a0, a1<br> [0x8000214a]:sw a0, 1728(ra)<br> |
| 433|[0x800048c8]<br>0x00002405|- rs1_val==46341 and rs2_val==1717986917<br>                                                                                                                             |[0x8000215e]:c.and a0, a1<br> [0x80002160]:sw a0, 1732(ra)<br> |
| 434|[0x800048cc]<br>0x0000B501|- rs1_val==46341 and rs2_val==46339<br>                                                                                                                                  |[0x80002174]:c.and a0, a1<br> [0x80002176]:sw a0, 1736(ra)<br> |
| 435|[0x800048d0]<br>0x00001504|- rs1_val==46341 and rs2_val==1431655766<br>                                                                                                                             |[0x8000218a]:c.and a0, a1<br> [0x8000218c]:sw a0, 1740(ra)<br> |
| 436|[0x800048d4]<br>0x0000A001|- rs1_val==46341 and rs2_val==-1431655765<br>                                                                                                                            |[0x800021a0]:c.and a0, a1<br> [0x800021a2]:sw a0, 1744(ra)<br> |
| 437|[0x800048d8]<br>0x00000004|- rs1_val==46341 and rs2_val==6<br>                                                                                                                                      |[0x800021b2]:c.and a0, a1<br> [0x800021b4]:sw a0, 1748(ra)<br> |
| 438|[0x800048dc]<br>0x00003104|- rs1_val==46341 and rs2_val==858993460<br>                                                                                                                              |[0x800021c8]:c.and a0, a1<br> [0x800021ca]:sw a0, 1752(ra)<br> |
| 439|[0x800048e0]<br>0x00002405|- rs1_val==46341 and rs2_val==1717986919<br>                                                                                                                             |[0x800021de]:c.and a0, a1<br> [0x800021e0]:sw a0, 1756(ra)<br> |
| 440|[0x800048e4]<br>0x00000005|- rs1_val==46341 and rs2_val==-46339<br>                                                                                                                                 |[0x800021f4]:c.and a0, a1<br> [0x800021f6]:sw a0, 1760(ra)<br> |
| 441|[0x800048e8]<br>0x0000B505|- rs1_val==46341 and rs2_val==46341<br>                                                                                                                                  |[0x8000220a]:c.and a0, a1<br> [0x8000220c]:sw a0, 1764(ra)<br> |
| 442|[0x800048ec]<br>0x00000000|- rs1_val==0 and rs2_val==1431655764<br>                                                                                                                                 |[0x8000221c]:c.and a0, a1<br> [0x8000221e]:sw a0, 1768(ra)<br> |
| 443|[0x800048f0]<br>0x00000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                          |[0x8000222a]:c.and a0, a1<br> [0x8000222c]:sw a0, 1772(ra)<br> |
| 444|[0x800048f4]<br>0x00000000|- rs1_val==0 and rs2_val==4<br>                                                                                                                                          |[0x80002238]:c.and a0, a1<br> [0x8000223a]:sw a0, 1776(ra)<br> |
| 445|[0x800048f8]<br>0x00000000|- rs1_val==0 and rs2_val==858993458<br>                                                                                                                                  |[0x8000224a]:c.and a0, a1<br> [0x8000224c]:sw a0, 1780(ra)<br> |
| 446|[0x800048fc]<br>0x00000000|- rs1_val==0 and rs2_val==1717986917<br>                                                                                                                                 |[0x8000225c]:c.and a0, a1<br> [0x8000225e]:sw a0, 1784(ra)<br> |
| 447|[0x80004900]<br>0x00000000|- rs1_val==0 and rs2_val==46339<br>                                                                                                                                      |[0x8000226e]:c.and a0, a1<br> [0x80002270]:sw a0, 1788(ra)<br> |
| 448|[0x80004904]<br>0x00000000|- rs1_val==0 and rs2_val==1431655766<br>                                                                                                                                 |[0x80002280]:c.and a0, a1<br> [0x80002282]:sw a0, 1792(ra)<br> |
| 449|[0x80004908]<br>0x00000000|- rs1_val==0 and rs2_val==-1431655765<br>                                                                                                                                |[0x80002292]:c.and a0, a1<br> [0x80002294]:sw a0, 1796(ra)<br> |
| 450|[0x8000490c]<br>0x00000000|- rs1_val==0 and rs2_val==6<br>                                                                                                                                          |[0x800022a0]:c.and a0, a1<br> [0x800022a2]:sw a0, 1800(ra)<br> |
| 451|[0x80004910]<br>0x00000000|- rs1_val==0 and rs2_val==858993460<br>                                                                                                                                  |[0x800022b2]:c.and a0, a1<br> [0x800022b4]:sw a0, 1804(ra)<br> |
| 452|[0x80004914]<br>0x00000000|- rs1_val==0 and rs2_val==1717986919<br>                                                                                                                                 |[0x800022c4]:c.and a0, a1<br> [0x800022c6]:sw a0, 1808(ra)<br> |
| 453|[0x80004918]<br>0x00000000|- rs1_val==0 and rs2_val==-46339<br>                                                                                                                                     |[0x800022d6]:c.and a0, a1<br> [0x800022d8]:sw a0, 1812(ra)<br> |
| 454|[0x8000491c]<br>0x00000000|- rs1_val==0 and rs2_val==46341<br>                                                                                                                                      |[0x800022e8]:c.and a0, a1<br> [0x800022ea]:sw a0, 1816(ra)<br> |
| 455|[0x80004920]<br>0x00000000|- rs1_val==4 and rs2_val==3<br>                                                                                                                                          |[0x800022f6]:c.and a0, a1<br> [0x800022f8]:sw a0, 1820(ra)<br> |
| 456|[0x80004924]<br>0x00000004|- rs1_val==4 and rs2_val==1431655765<br>                                                                                                                                 |[0x80002308]:c.and a0, a1<br> [0x8000230a]:sw a0, 1824(ra)<br> |
| 457|[0x80004928]<br>0x00000000|- rs1_val==4 and rs2_val==-1431655766<br>                                                                                                                                |[0x8000231a]:c.and a0, a1<br> [0x8000231c]:sw a0, 1828(ra)<br> |
| 458|[0x8000492c]<br>0x00000004|- rs1_val==4 and rs2_val==5<br>                                                                                                                                          |[0x80002328]:c.and a0, a1<br> [0x8000232a]:sw a0, 1832(ra)<br> |
| 459|[0x80004930]<br>0x00000000|- rs1_val==4 and rs2_val==858993459<br>                                                                                                                                  |[0x8000233a]:c.and a0, a1<br> [0x8000233c]:sw a0, 1836(ra)<br> |
| 460|[0x80004934]<br>0x00000004|- rs1_val==4 and rs2_val==1717986918<br>                                                                                                                                 |[0x8000234c]:c.and a0, a1<br> [0x8000234e]:sw a0, 1840(ra)<br> |
| 461|[0x80004938]<br>0x00000004|- rs1_val==4 and rs2_val==-46340<br>                                                                                                                                     |[0x8000235e]:c.and a0, a1<br> [0x80002360]:sw a0, 1844(ra)<br> |
| 462|[0x8000493c]<br>0x00000004|- rs1_val==4 and rs2_val==46340<br>                                                                                                                                      |[0x80002370]:c.and a0, a1<br> [0x80002372]:sw a0, 1848(ra)<br> |
| 463|[0x80004940]<br>0x00000000|- rs1_val==4 and rs2_val==2<br>                                                                                                                                          |[0x8000237e]:c.and a0, a1<br> [0x80002380]:sw a0, 1852(ra)<br> |
| 464|[0x80004944]<br>0x00000004|- rs1_val==4 and rs2_val==1431655764<br>                                                                                                                                 |[0x80002390]:c.and a0, a1<br> [0x80002392]:sw a0, 1856(ra)<br> |
| 465|[0x80004948]<br>0x00000000|- rs1_val==4 and rs2_val==0<br>                                                                                                                                          |[0x8000239e]:c.and a0, a1<br> [0x800023a0]:sw a0, 1860(ra)<br> |
| 466|[0x8000494c]<br>0x00000004|- rs1_val==4 and rs2_val==4<br>                                                                                                                                          |[0x800023ac]:c.and a0, a1<br> [0x800023ae]:sw a0, 1864(ra)<br> |
| 467|[0x80004950]<br>0x00000000|- rs1_val==4 and rs2_val==858993458<br>                                                                                                                                  |[0x800023be]:c.and a0, a1<br> [0x800023c0]:sw a0, 1868(ra)<br> |
| 468|[0x80004954]<br>0x00000004|- rs1_val==4 and rs2_val==1717986917<br>                                                                                                                                 |[0x800023d0]:c.and a0, a1<br> [0x800023d2]:sw a0, 1872(ra)<br> |
| 469|[0x80004958]<br>0x00000000|- rs1_val==4 and rs2_val==46339<br>                                                                                                                                      |[0x800023e2]:c.and a0, a1<br> [0x800023e4]:sw a0, 1876(ra)<br> |
| 470|[0x8000495c]<br>0x00000004|- rs1_val==4 and rs2_val==1431655766<br>                                                                                                                                 |[0x800023f4]:c.and a0, a1<br> [0x800023f6]:sw a0, 1880(ra)<br> |
| 471|[0x80004960]<br>0x00000000|- rs1_val==4 and rs2_val==-1431655765<br>                                                                                                                                |[0x80002406]:c.and a0, a1<br> [0x80002408]:sw a0, 1884(ra)<br> |
| 472|[0x80004964]<br>0x00000004|- rs1_val==4 and rs2_val==6<br>                                                                                                                                          |[0x80002414]:c.and a0, a1<br> [0x80002416]:sw a0, 1888(ra)<br> |
| 473|[0x80004968]<br>0x00000004|- rs1_val==4 and rs2_val==858993460<br>                                                                                                                                  |[0x80002426]:c.and a0, a1<br> [0x80002428]:sw a0, 1892(ra)<br> |
| 474|[0x8000496c]<br>0x00000004|- rs1_val==4 and rs2_val==1717986919<br>                                                                                                                                 |[0x80002438]:c.and a0, a1<br> [0x8000243a]:sw a0, 1896(ra)<br> |
| 475|[0x80004970]<br>0x00000004|- rs1_val==4 and rs2_val==-46339<br>                                                                                                                                     |[0x8000244a]:c.and a0, a1<br> [0x8000244c]:sw a0, 1900(ra)<br> |
| 476|[0x80004974]<br>0x00000004|- rs1_val==4 and rs2_val==46341<br>                                                                                                                                      |[0x8000245c]:c.and a0, a1<br> [0x8000245e]:sw a0, 1904(ra)<br> |
| 477|[0x80004978]<br>0x00000002|- rs1_val==858993458 and rs2_val==3<br>                                                                                                                                  |[0x8000246e]:c.and a0, a1<br> [0x80002470]:sw a0, 1908(ra)<br> |
| 478|[0x8000497c]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655765<br>                                                                                                                         |[0x80002484]:c.and a0, a1<br> [0x80002486]:sw a0, 1912(ra)<br> |
| 479|[0x80004980]<br>0x22222222|- rs1_val==858993458 and rs2_val==-1431655766<br>                                                                                                                        |[0x8000249a]:c.and a0, a1<br> [0x8000249c]:sw a0, 1916(ra)<br> |
| 480|[0x80004984]<br>0x00000000|- rs1_val==858993458 and rs2_val==5<br>                                                                                                                                  |[0x800024ac]:c.and a0, a1<br> [0x800024ae]:sw a0, 1920(ra)<br> |
| 481|[0x80004988]<br>0x33333332|- rs1_val==858993458 and rs2_val==858993459<br>                                                                                                                          |[0x800024c2]:c.and a0, a1<br> [0x800024c4]:sw a0, 1924(ra)<br> |
| 482|[0x8000498c]<br>0x22222222|- rs1_val==858993458 and rs2_val==1717986918<br>                                                                                                                         |[0x800024d8]:c.and a0, a1<br> [0x800024da]:sw a0, 1928(ra)<br> |
| 483|[0x80004990]<br>0x33330230|- rs1_val==858993458 and rs2_val==-46340<br>                                                                                                                             |[0x800024ee]:c.and a0, a1<br> [0x800024f0]:sw a0, 1932(ra)<br> |
| 484|[0x80004994]<br>0x00003100|- rs1_val==858993458 and rs2_val==46340<br>                                                                                                                              |[0x80002504]:c.and a0, a1<br> [0x80002506]:sw a0, 1936(ra)<br> |
| 485|[0x80004998]<br>0x00000002|- rs1_val==858993458 and rs2_val==2<br>                                                                                                                                  |[0x80002516]:c.and a0, a1<br> [0x80002518]:sw a0, 1940(ra)<br> |
| 486|[0x8000499c]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655764<br>                                                                                                                         |[0x8000252c]:c.and a0, a1<br> [0x8000252e]:sw a0, 1944(ra)<br> |
| 487|[0x800049a0]<br>0x00000000|- rs1_val==858993458 and rs2_val==0<br>                                                                                                                                  |[0x8000253e]:c.and a0, a1<br> [0x80002540]:sw a0, 1948(ra)<br> |
| 488|[0x800049a4]<br>0x00000000|- rs1_val==858993458 and rs2_val==4<br>                                                                                                                                  |[0x80002550]:c.and a0, a1<br> [0x80002552]:sw a0, 1952(ra)<br> |
| 489|[0x800049a8]<br>0x33333332|- rs1_val==858993458 and rs2_val==858993458<br>                                                                                                                          |[0x80002566]:c.and a0, a1<br> [0x80002568]:sw a0, 1956(ra)<br> |
| 490|[0x800049ac]<br>0x22222220|- rs1_val==858993458 and rs2_val==1717986917<br>                                                                                                                         |[0x8000257c]:c.and a0, a1<br> [0x8000257e]:sw a0, 1960(ra)<br> |
| 491|[0x800049b0]<br>0x00003102|- rs1_val==858993458 and rs2_val==46339<br>                                                                                                                              |[0x80002592]:c.and a0, a1<br> [0x80002594]:sw a0, 1964(ra)<br> |
| 492|[0x800049b4]<br>0x11111112|- rs1_val==858993458 and rs2_val==1431655766<br>                                                                                                                         |[0x800025a8]:c.and a0, a1<br> [0x800025aa]:sw a0, 1968(ra)<br> |
| 493|[0x800049b8]<br>0x22222222|- rs1_val==858993458 and rs2_val==-1431655765<br>                                                                                                                        |[0x800025be]:c.and a0, a1<br> [0x800025c0]:sw a0, 1972(ra)<br> |
| 494|[0x800049bc]<br>0x00000002|- rs1_val==858993458 and rs2_val==6<br>                                                                                                                                  |[0x800025d0]:c.and a0, a1<br> [0x800025d2]:sw a0, 1976(ra)<br> |
| 495|[0x800049c0]<br>0x33333330|- rs1_val==858993458 and rs2_val==858993460<br>                                                                                                                          |[0x800025e6]:c.and a0, a1<br> [0x800025e8]:sw a0, 1980(ra)<br> |
| 496|[0x800049c4]<br>0x22222222|- rs1_val==858993458 and rs2_val==1717986919<br>                                                                                                                         |[0x800025fc]:c.and a0, a1<br> [0x800025fe]:sw a0, 1984(ra)<br> |
| 497|[0x800049c8]<br>0x33330230|- rs1_val==858993458 and rs2_val==-46339<br>                                                                                                                             |[0x80002612]:c.and a0, a1<br> [0x80002614]:sw a0, 1988(ra)<br> |
| 498|[0x800049cc]<br>0x00003100|- rs1_val==858993458 and rs2_val==46341<br>                                                                                                                              |[0x80002628]:c.and a0, a1<br> [0x8000262a]:sw a0, 1992(ra)<br> |
| 499|[0x800049d0]<br>0x00000001|- rs1_val==1717986917 and rs2_val==3<br>                                                                                                                                 |[0x8000263a]:c.and a0, a1<br> [0x8000263c]:sw a0, 1996(ra)<br> |
| 500|[0x800049d4]<br>0x44444445|- rs1_val==1717986917 and rs2_val==1431655765<br>                                                                                                                        |[0x80002650]:c.and a0, a1<br> [0x80002652]:sw a0, 2000(ra)<br> |
| 501|[0x800049d8]<br>0x22222220|- rs1_val==1717986917 and rs2_val==-1431655766<br>                                                                                                                       |[0x80002666]:c.and a0, a1<br> [0x80002668]:sw a0, 2004(ra)<br> |
| 502|[0x800049dc]<br>0x00000005|- rs1_val==1717986917 and rs2_val==5<br>                                                                                                                                 |[0x80002678]:c.and a0, a1<br> [0x8000267a]:sw a0, 2008(ra)<br> |
| 503|[0x800049e0]<br>0x22222221|- rs1_val==1717986917 and rs2_val==858993459<br>                                                                                                                         |[0x8000268e]:c.and a0, a1<br> [0x80002690]:sw a0, 2012(ra)<br> |
| 504|[0x800049e4]<br>0x66666664|- rs1_val==1717986917 and rs2_val==1717986918<br>                                                                                                                        |[0x800026a4]:c.and a0, a1<br> [0x800026a6]:sw a0, 2016(ra)<br> |
| 505|[0x800049e8]<br>0x66664264|- rs1_val==1717986917 and rs2_val==-46340<br>                                                                                                                            |[0x800026ba]:c.and a0, a1<br> [0x800026bc]:sw a0, 2020(ra)<br> |
| 506|[0x800049ec]<br>0x00002404|- rs1_val==1717986917 and rs2_val==46340<br>                                                                                                                             |[0x800026d0]:c.and a0, a1<br> [0x800026d2]:sw a0, 2024(ra)<br> |
| 507|[0x800049f0]<br>0x00000000|- rs1_val==1717986917 and rs2_val==2<br>                                                                                                                                 |[0x800026e2]:c.and a0, a1<br> [0x800026e4]:sw a0, 2028(ra)<br> |
| 508|[0x800049f4]<br>0x44444444|- rs1_val==1717986917 and rs2_val==1431655764<br>                                                                                                                        |[0x800026f8]:c.and a0, a1<br> [0x800026fa]:sw a0, 2032(ra)<br> |
| 509|[0x800049f8]<br>0x00000000|- rs1_val==1717986917 and rs2_val==0<br>                                                                                                                                 |[0x8000270a]:c.and a0, a1<br> [0x8000270c]:sw a0, 2036(ra)<br> |
| 510|[0x800049fc]<br>0x00000004|- rs1_val==1717986917 and rs2_val==4<br>                                                                                                                                 |[0x8000271c]:c.and a0, a1<br> [0x8000271e]:sw a0, 2040(ra)<br> |
| 511|[0x80004a00]<br>0x22222220|- rs1_val==1717986917 and rs2_val==858993458<br>                                                                                                                         |[0x80002732]:c.and a0, a1<br> [0x80002734]:sw a0, 2044(ra)<br> |
| 512|[0x80004a04]<br>0x66666665|- rs1_val==1717986917 and rs2_val==1717986917<br>                                                                                                                        |[0x80002750]:c.and a0, a1<br> [0x80002752]:sw a0, 0(ra)<br>    |
| 513|[0x80004a08]<br>0x00002401|- rs1_val==1717986917 and rs2_val==46339<br>                                                                                                                             |[0x80002766]:c.and a0, a1<br> [0x80002768]:sw a0, 4(ra)<br>    |
| 514|[0x80004a0c]<br>0x44444444|- rs1_val==1717986917 and rs2_val==1431655766<br>                                                                                                                        |[0x8000277c]:c.and a0, a1<br> [0x8000277e]:sw a0, 8(ra)<br>    |
| 515|[0x80004a10]<br>0x22222221|- rs1_val==1717986917 and rs2_val==-1431655765<br>                                                                                                                       |[0x80002792]:c.and a0, a1<br> [0x80002794]:sw a0, 12(ra)<br>   |
| 516|[0x80004a14]<br>0x00000004|- rs1_val==1717986917 and rs2_val==6<br>                                                                                                                                 |[0x800027a4]:c.and a0, a1<br> [0x800027a6]:sw a0, 16(ra)<br>   |
| 517|[0x80004a18]<br>0x22222224|- rs1_val==1717986917 and rs2_val==858993460<br>                                                                                                                         |[0x800027ba]:c.and a0, a1<br> [0x800027bc]:sw a0, 20(ra)<br>   |
| 518|[0x80004a1c]<br>0x66666665|- rs1_val==1717986917 and rs2_val==1717986919<br>                                                                                                                        |[0x800027d0]:c.and a0, a1<br> [0x800027d2]:sw a0, 24(ra)<br>   |
| 519|[0x80004a20]<br>0x66664265|- rs1_val==1717986917 and rs2_val==-46339<br>                                                                                                                            |[0x800027e6]:c.and a0, a1<br> [0x800027e8]:sw a0, 28(ra)<br>   |
| 520|[0x80004a24]<br>0x00002405|- rs1_val==1717986917 and rs2_val==46341<br>                                                                                                                             |[0x800027fc]:c.and a0, a1<br> [0x800027fe]:sw a0, 32(ra)<br>   |
| 521|[0x80004a28]<br>0x00000003|- rs1_val==46339 and rs2_val==3<br>                                                                                                                                      |[0x8000280e]:c.and a0, a1<br> [0x80002810]:sw a0, 36(ra)<br>   |
| 522|[0x80004a2c]<br>0x00001501|- rs1_val==46339 and rs2_val==1431655765<br>                                                                                                                             |[0x80002824]:c.and a0, a1<br> [0x80002826]:sw a0, 40(ra)<br>   |
| 523|[0x80004a30]<br>0x0000A002|- rs1_val==46339 and rs2_val==-1431655766<br>                                                                                                                            |[0x8000283a]:c.and a0, a1<br> [0x8000283c]:sw a0, 44(ra)<br>   |
| 524|[0x80004a34]<br>0x00000001|- rs1_val==46339 and rs2_val==5<br>                                                                                                                                      |[0x8000284c]:c.and a0, a1<br> [0x8000284e]:sw a0, 48(ra)<br>   |
| 525|[0x80004a38]<br>0x00003103|- rs1_val==46339 and rs2_val==858993459<br>                                                                                                                              |[0x80002862]:c.and a0, a1<br> [0x80002864]:sw a0, 52(ra)<br>   |
| 526|[0x80004a3c]<br>0x00002402|- rs1_val==46339 and rs2_val==1717986918<br>                                                                                                                             |[0x80002878]:c.and a0, a1<br> [0x8000287a]:sw a0, 56(ra)<br>   |
| 527|[0x80004a40]<br>0x00000000|- rs1_val==46339 and rs2_val==-46340<br>                                                                                                                                 |[0x8000288e]:c.and a0, a1<br> [0x80002890]:sw a0, 60(ra)<br>   |
| 528|[0x80004a44]<br>0x0000B500|- rs1_val==46339 and rs2_val==46340<br>                                                                                                                                  |[0x800028a4]:c.and a0, a1<br> [0x800028a6]:sw a0, 64(ra)<br>   |
| 529|[0x80004a48]<br>0x00000002|- rs1_val==46339 and rs2_val==2<br>                                                                                                                                      |[0x800028b6]:c.and a0, a1<br> [0x800028b8]:sw a0, 68(ra)<br>   |
| 530|[0x80004a4c]<br>0x00001500|- rs1_val==46339 and rs2_val==1431655764<br>                                                                                                                             |[0x800028cc]:c.and a0, a1<br> [0x800028ce]:sw a0, 72(ra)<br>   |
| 531|[0x80004a50]<br>0x00000000|- rs1_val==46339 and rs2_val==0<br>                                                                                                                                      |[0x800028de]:c.and a0, a1<br> [0x800028e0]:sw a0, 76(ra)<br>   |
| 532|[0x80004a54]<br>0x00000000|- rs1_val==46339 and rs2_val==4<br>                                                                                                                                      |[0x800028f0]:c.and a0, a1<br> [0x800028f2]:sw a0, 80(ra)<br>   |
| 533|[0x80004a58]<br>0x00003102|- rs1_val==46339 and rs2_val==858993458<br>                                                                                                                              |[0x80002906]:c.and a0, a1<br> [0x80002908]:sw a0, 84(ra)<br>   |
| 534|[0x80004a5c]<br>0x00002401|- rs1_val==46339 and rs2_val==1717986917<br>                                                                                                                             |[0x8000291c]:c.and a0, a1<br> [0x8000291e]:sw a0, 88(ra)<br>   |
| 535|[0x80004a60]<br>0x0000B503|- rs1_val==46339 and rs2_val==46339<br>                                                                                                                                  |[0x80002932]:c.and a0, a1<br> [0x80002934]:sw a0, 92(ra)<br>   |
| 536|[0x80004a64]<br>0x00001502|- rs1_val==46339 and rs2_val==1431655766<br>                                                                                                                             |[0x80002948]:c.and a0, a1<br> [0x8000294a]:sw a0, 96(ra)<br>   |
| 537|[0x80004a68]<br>0x0000A003|- rs1_val==46339 and rs2_val==-1431655765<br>                                                                                                                            |[0x8000295e]:c.and a0, a1<br> [0x80002960]:sw a0, 100(ra)<br>  |
| 538|[0x80004a6c]<br>0x00000002|- rs1_val==46339 and rs2_val==6<br>                                                                                                                                      |[0x80002970]:c.and a0, a1<br> [0x80002972]:sw a0, 104(ra)<br>  |
| 539|[0x80004a70]<br>0x00003100|- rs1_val==46339 and rs2_val==858993460<br>                                                                                                                              |[0x80002986]:c.and a0, a1<br> [0x80002988]:sw a0, 108(ra)<br>  |
| 540|[0x80004a74]<br>0x00002403|- rs1_val==46339 and rs2_val==1717986919<br>                                                                                                                             |[0x8000299c]:c.and a0, a1<br> [0x8000299e]:sw a0, 112(ra)<br>  |
| 541|[0x80004a78]<br>0x00000001|- rs1_val==46339 and rs2_val==-46339<br>                                                                                                                                 |[0x800029b2]:c.and a0, a1<br> [0x800029b4]:sw a0, 116(ra)<br>  |
| 542|[0x80004a7c]<br>0x0000B501|- rs1_val==46339 and rs2_val==46341<br>                                                                                                                                  |[0x800029c8]:c.and a0, a1<br> [0x800029ca]:sw a0, 120(ra)<br>  |
| 543|[0x80004a80]<br>0x00000002|- rs1_val==1431655766 and rs2_val==3<br>                                                                                                                                 |[0x800029da]:c.and a0, a1<br> [0x800029dc]:sw a0, 124(ra)<br>  |
| 544|[0x80004a84]<br>0x55555554|- rs1_val==1431655766 and rs2_val==1431655765<br>                                                                                                                        |[0x800029f0]:c.and a0, a1<br> [0x800029f2]:sw a0, 128(ra)<br>  |
| 545|[0x80004a88]<br>0x00000002|- rs1_val==1431655766 and rs2_val==-1431655766<br>                                                                                                                       |[0x80002a06]:c.and a0, a1<br> [0x80002a08]:sw a0, 132(ra)<br>  |
| 546|[0x80004a8c]<br>0x00000004|- rs1_val==1431655766 and rs2_val==5<br>                                                                                                                                 |[0x80002a18]:c.and a0, a1<br> [0x80002a1a]:sw a0, 136(ra)<br>  |
| 547|[0x80004a90]<br>0x11111112|- rs1_val==1431655766 and rs2_val==858993459<br>                                                                                                                         |[0x80002a2e]:c.and a0, a1<br> [0x80002a30]:sw a0, 140(ra)<br>  |
| 548|[0x80004a94]<br>0x44444446|- rs1_val==1431655766 and rs2_val==1717986918<br>                                                                                                                        |[0x80002a44]:c.and a0, a1<br> [0x80002a46]:sw a0, 144(ra)<br>  |
| 549|[0x80004a98]<br>0x55554054|- rs1_val==1431655766 and rs2_val==-46340<br>                                                                                                                            |[0x80002a5a]:c.and a0, a1<br> [0x80002a5c]:sw a0, 148(ra)<br>  |
| 550|[0x80004a9c]<br>0x00001504|- rs1_val==1431655766 and rs2_val==46340<br>                                                                                                                             |[0x80002a70]:c.and a0, a1<br> [0x80002a72]:sw a0, 152(ra)<br>  |
| 551|[0x80004aa0]<br>0x00000002|- rs1_val==1431655766 and rs2_val==2<br>                                                                                                                                 |[0x80002a82]:c.and a0, a1<br> [0x80002a84]:sw a0, 156(ra)<br>  |
| 552|[0x80004aa4]<br>0x55555554|- rs1_val==1431655766 and rs2_val==1431655764<br>                                                                                                                        |[0x80002a98]:c.and a0, a1<br> [0x80002a9a]:sw a0, 160(ra)<br>  |
| 553|[0x80004aa8]<br>0x00000000|- rs1_val==1431655766 and rs2_val==0<br>                                                                                                                                 |[0x80002aaa]:c.and a0, a1<br> [0x80002aac]:sw a0, 164(ra)<br>  |
| 554|[0x80004aac]<br>0x00000004|- rs1_val==1431655766 and rs2_val==4<br>                                                                                                                                 |[0x80002abc]:c.and a0, a1<br> [0x80002abe]:sw a0, 168(ra)<br>  |
| 555|[0x80004ab0]<br>0x11111112|- rs1_val==1431655766 and rs2_val==858993458<br>                                                                                                                         |[0x80002ad2]:c.and a0, a1<br> [0x80002ad4]:sw a0, 172(ra)<br>  |
| 556|[0x80004ab4]<br>0x44444444|- rs1_val==1431655766 and rs2_val==1717986917<br>                                                                                                                        |[0x80002ae8]:c.and a0, a1<br> [0x80002aea]:sw a0, 176(ra)<br>  |
| 557|[0x80004ab8]<br>0x00001502|- rs1_val==1431655766 and rs2_val==46339<br>                                                                                                                             |[0x80002afe]:c.and a0, a1<br> [0x80002b00]:sw a0, 180(ra)<br>  |
| 558|[0x80004abc]<br>0x55555556|- rs1_val==1431655766 and rs2_val==1431655766<br>                                                                                                                        |[0x80002b14]:c.and a0, a1<br> [0x80002b16]:sw a0, 184(ra)<br>  |
| 559|[0x80004ac0]<br>0x00000002|- rs1_val==1431655766 and rs2_val==-1431655765<br>                                                                                                                       |[0x80002b2a]:c.and a0, a1<br> [0x80002b2c]:sw a0, 188(ra)<br>  |
| 560|[0x80004ac4]<br>0x00000006|- rs1_val==1431655766 and rs2_val==6<br>                                                                                                                                 |[0x80002b3c]:c.and a0, a1<br> [0x80002b3e]:sw a0, 192(ra)<br>  |
| 561|[0x80004ac8]<br>0x11111114|- rs1_val==1431655766 and rs2_val==858993460<br>                                                                                                                         |[0x80002b52]:c.and a0, a1<br> [0x80002b54]:sw a0, 196(ra)<br>  |
| 562|[0x80004acc]<br>0x44444446|- rs1_val==1431655766 and rs2_val==1717986919<br>                                                                                                                        |[0x80002b68]:c.and a0, a1<br> [0x80002b6a]:sw a0, 200(ra)<br>  |
| 563|[0x80004ad0]<br>0x55554054|- rs1_val==1431655766 and rs2_val==-46339<br>                                                                                                                            |[0x80002b7e]:c.and a0, a1<br> [0x80002b80]:sw a0, 204(ra)<br>  |
| 564|[0x80004ad4]<br>0x00001504|- rs1_val==1431655766 and rs2_val==46341<br>                                                                                                                             |[0x80002b94]:c.and a0, a1<br> [0x80002b96]:sw a0, 208(ra)<br>  |
| 565|[0x80004ad8]<br>0x00000003|- rs1_val==-1431655765 and rs2_val==3<br>                                                                                                                                |[0x80002ba6]:c.and a0, a1<br> [0x80002ba8]:sw a0, 212(ra)<br>  |
| 566|[0x80004adc]<br>0x00000001|- rs1_val==-1431655765 and rs2_val==1431655765<br>                                                                                                                       |[0x80002bbc]:c.and a0, a1<br> [0x80002bbe]:sw a0, 216(ra)<br>  |
| 567|[0x80004ae0]<br>0xAAAAAAAA|- rs1_val==-1431655765 and rs2_val==-1431655766<br>                                                                                                                      |[0x80002bd2]:c.and a0, a1<br> [0x80002bd4]:sw a0, 220(ra)<br>  |
| 568|[0x80004ae4]<br>0x00000001|- rs1_val==-1431655765 and rs2_val==5<br>                                                                                                                                |[0x80002be4]:c.and a0, a1<br> [0x80002be6]:sw a0, 224(ra)<br>  |
| 569|[0x80004ae8]<br>0x22222223|- rs1_val==-1431655765 and rs2_val==858993459<br>                                                                                                                        |[0x80002bfa]:c.and a0, a1<br> [0x80002bfc]:sw a0, 228(ra)<br>  |
| 570|[0x80004aec]<br>0x22222222|- rs1_val==-1431655765 and rs2_val==1717986918<br>                                                                                                                       |[0x80002c10]:c.and a0, a1<br> [0x80002c12]:sw a0, 232(ra)<br>  |
| 571|[0x80004af0]<br>0xAAAA0AA8|- rs1_val==-1431655765 and rs2_val==-46340<br>                                                                                                                           |[0x80002c26]:c.and a0, a1<br> [0x80002c28]:sw a0, 236(ra)<br>  |
| 572|[0x80004af4]<br>0x0000A000|- rs1_val==-1431655765 and rs2_val==46340<br>                                                                                                                            |[0x80002c3c]:c.and a0, a1<br> [0x80002c3e]:sw a0, 240(ra)<br>  |
| 573|[0x80004af8]<br>0x00000002|- rs1_val==-1431655765 and rs2_val==2<br>                                                                                                                                |[0x80002c4e]:c.and a0, a1<br> [0x80002c50]:sw a0, 244(ra)<br>  |
| 574|[0x80004afc]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==1431655764<br>                                                                                                                       |[0x80002c64]:c.and a0, a1<br> [0x80002c66]:sw a0, 248(ra)<br>  |
| 575|[0x80004b00]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==0<br>                                                                                                                                |[0x80002c76]:c.and a0, a1<br> [0x80002c78]:sw a0, 252(ra)<br>  |
| 576|[0x80004b04]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==4<br>                                                                                                                                |[0x80002c88]:c.and a0, a1<br> [0x80002c8a]:sw a0, 256(ra)<br>  |
| 577|[0x80004b08]<br>0x22222222|- rs1_val==-1431655765 and rs2_val==858993458<br>                                                                                                                        |[0x80002c9e]:c.and a0, a1<br> [0x80002ca0]:sw a0, 260(ra)<br>  |
| 578|[0x80004b0c]<br>0x22222221|- rs1_val==-1431655765 and rs2_val==1717986917<br>                                                                                                                       |[0x80002cb4]:c.and a0, a1<br> [0x80002cb6]:sw a0, 264(ra)<br>  |
| 579|[0x80004b10]<br>0x0000A003|- rs1_val==-1431655765 and rs2_val==46339<br>                                                                                                                            |[0x80002cca]:c.and a0, a1<br> [0x80002ccc]:sw a0, 268(ra)<br>  |
| 580|[0x80004b14]<br>0x00000002|- rs1_val==-1431655765 and rs2_val==1431655766<br>                                                                                                                       |[0x80002ce0]:c.and a0, a1<br> [0x80002ce2]:sw a0, 272(ra)<br>  |
| 581|[0x80004b18]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==-1431655765<br>                                                                                                                      |[0x80002cf6]:c.and a0, a1<br> [0x80002cf8]:sw a0, 276(ra)<br>  |
| 582|[0x80004b1c]<br>0x00000002|- rs1_val==-1431655765 and rs2_val==6<br>                                                                                                                                |[0x80002d08]:c.and a0, a1<br> [0x80002d0a]:sw a0, 280(ra)<br>  |
| 583|[0x80004b20]<br>0x22222220|- rs1_val==-1431655765 and rs2_val==858993460<br>                                                                                                                        |[0x80002d1e]:c.and a0, a1<br> [0x80002d20]:sw a0, 284(ra)<br>  |
| 584|[0x80004b24]<br>0x22222223|- rs1_val==-1431655765 and rs2_val==1717986919<br>                                                                                                                       |[0x80002d34]:c.and a0, a1<br> [0x80002d36]:sw a0, 288(ra)<br>  |
| 585|[0x80004b28]<br>0x00000000|- rs1_val==-46340 and rs2_val==0<br>                                                                                                                                     |[0x80002d46]:c.and a0, a1<br> [0x80002d48]:sw a0, 292(ra)<br>  |
