
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x80001d72')]      |
| SIG_REGION                | [('0x80003204', '0x80003250', '19 words')]      |
| COV_LABELS                | cj      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/cj-01.S/cj-01.S    |
| Total Number of coverpoints| 20     |
| Total Coverpoints Hit     | 20      |
| Total Signature Updates   | 19      |
| STAT1                     | 19      |
| STAT2                     | 0      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```


```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |             coverpoints             |                                                          code                                                           |
|---:|--------------------------|-------------------------------------|-------------------------------------------------------------------------------------------------------------------------|
|   1|[0x80003204]<br>0xFF76DF59|- opcode : c.j<br> - imm_val > 0<br> |[0x80000110]:c.j 5<br> [0x8000011a]:c.addi sp, 3<br> [0x8000011c]:sw sp, 0(ra)<br>                                       |
|   2|[0x80003208]<br>0xFF76DF5A|- imm_val < 0<br>                    |[0x80000136]:c.j 2041<br> [0x80000128]:addi sp, sp, 1<br> [0x8000012c]:jal zero, 22<br> [0x80000142]:sw sp, 4(ra)<br>    |
|   3|[0x8000320c]<br>0xFF76DF5D|- imm_val == 16<br>                  |[0x80000156]:c.j 8<br> [0x80000166]:c.addi sp, 3<br> [0x80000168]:sw sp, 8(ra)<br>                                       |
|   4|[0x80003210]<br>0xFF76DF60|- imm_val == 32<br>                  |[0x8000017c]:c.j 16<br> [0x8000019c]:c.addi sp, 3<br> [0x8000019e]:sw sp, 12(ra)<br>                                     |
|   5|[0x80003214]<br>0xFF76DF63|- imm_val == 64<br>                  |[0x800001b2]:c.j 32<br> [0x800001f2]:c.addi sp, 3<br> [0x800001f4]:sw sp, 16(ra)<br>                                     |
|   6|[0x80003218]<br>0xFF76DF66|- imm_val == 128<br>                 |[0x80000208]:c.j 64<br> [0x80000288]:c.addi sp, 3<br> [0x8000028a]:sw sp, 20(ra)<br>                                     |
|   7|[0x8000321c]<br>0xFF76DF69|- imm_val == 256<br>                 |[0x8000029e]:c.j 128<br> [0x8000039e]:c.addi sp, 3<br> [0x800003a0]:sw sp, 24(ra)<br>                                    |
|   8|[0x80003220]<br>0xFF76DF6C|- imm_val == 512<br>                 |[0x800003b4]:c.j 256<br> [0x800005b4]:c.addi sp, 3<br> [0x800005b6]:sw sp, 28(ra)<br>                                    |
|   9|[0x80003224]<br>0xFF76DF6F|- imm_val == 1024<br>                |[0x800005ca]:c.j 512<br> [0x800009ca]:c.addi sp, 3<br> [0x800009cc]:sw sp, 32(ra)<br>                                    |
|  10|[0x80003228]<br>0xFF76DF70|- imm_val == -10<br>                 |[0x800009e2]:c.j 2043<br> [0x800009d8]:addi sp, sp, 1<br> [0x800009dc]:jal zero, 18<br> [0x800009ee]:sw sp, 36(ra)<br>   |
|  11|[0x8000322c]<br>0xFF76DF71|- imm_val == -18<br>                 |[0x80000a0c]:c.j 2039<br> [0x800009fa]:addi sp, sp, 1<br> [0x800009fe]:jal zero, 26<br> [0x80000a18]:sw sp, 40(ra)<br>   |
|  12|[0x80003230]<br>0xFF76DF72|- imm_val == -34<br>                 |[0x80000a46]:c.j 2031<br> [0x80000a24]:addi sp, sp, 1<br> [0x80000a28]:jal zero, 42<br> [0x80000a52]:sw sp, 44(ra)<br>   |
|  13|[0x80003234]<br>0xFF76DF73|- imm_val == -1026<br>               |[0x80000e60]:c.j 1535<br> [0x80000a5e]:addi sp, sp, 1<br> [0x80000a62]:jal zero, 1034<br> [0x80000e6c]:sw sp, 48(ra)<br> |
|  14|[0x80003238]<br>0xFF76DF74|- imm_val == -1366<br>               |[0x800013ce]:c.j 1365<br> [0x80000e78]:addi sp, sp, 1<br> [0x80000e7c]:jal zero, 1374<br> [0x800013da]:sw sp, 52(ra)<br> |
|  15|[0x8000323c]<br>0xFF76DF77|- imm_val == 1364<br>                |[0x800013ee]:c.j 682<br> [0x80001942]:c.addi sp, 3<br> [0x80001944]:sw sp, 56(ra)<br>                                    |
|  16|[0x80003240]<br>0xFF76DF78|- imm_val == -66<br>                 |[0x80001992]:c.j 2015<br> [0x80001950]:addi sp, sp, 1<br> [0x80001954]:jal zero, 74<br> [0x8000199e]:sw sp, 60(ra)<br>   |
|  17|[0x80003244]<br>0xFF76DF79|- imm_val == -130<br>                |[0x80001a2c]:c.j 1983<br> [0x800019aa]:addi sp, sp, 1<br> [0x800019ae]:jal zero, 138<br> [0x80001a38]:sw sp, 64(ra)<br>  |
|  18|[0x80003248]<br>0xFF76DF7A|- imm_val == -258<br>                |[0x80001b46]:c.j 1919<br> [0x80001a44]:addi sp, sp, 1<br> [0x80001a48]:jal zero, 266<br> [0x80001b52]:sw sp, 68(ra)<br>  |
|  19|[0x8000324c]<br>0xFF76DF7B|- imm_val == -514<br>                |[0x80001d60]:c.j 1791<br> [0x80001b5e]:addi sp, sp, 1<br> [0x80001b62]:jal zero, 522<br> [0x80001d6c]:sw sp, 72(ra)<br>  |
